Thu Feb 21 02:34:37 CST 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

	* ACE version 5.6.3 released.

Thu Feb 21 08:09:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.2.GNU:
          Updated for a Windows host

Mon Feb 18 19:59:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Don't run Bug_3171_Regression when messaging is disabled

Thu Feb 14 11:22:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Semaphores/starter.cpp:
        * examples/Semaphores/worker.cpp:
          Fixed unicode link errors

Wed Feb 13 20:53:00 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/tao_orb_tests.lst:
          Turn off test Bug_3193_Regression.

Wed Feb 13 19:03:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Semaphores/starter.cpp:
          Added missing return

Wed Feb 13 16:19:09 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/rules.local.GNU:

          This is a (partial) fix for bug #3217, addressing two problems when
          using gnu make on Windows systems:
          1. make depend (invoking depgen.pl) was broken
          2. when LN_S is cp the target of the copy operation was not updated
             if the actual executable was remade.

Wed Feb 13 12:41:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Semaphores/*:
          Added a basic example for process semaphores

Tue Feb 12 15:43:57 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * NEWS:
          Updated the NEW file with my updates for to ACE.

Tue Feb 12 12:31:34 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * bin/PerlACE/Run_Test.pm:

          Amend PerlACE::add_lib_path to add path relative to $HOST_ROOT
          also in the even that it is set. Should hopefully make this function
          work on VXWorks. In the even that it does this will fix bug #3177.

Tue Feb 12 10:18:14 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * bin/MakeProjectCreator/config/ace_output.mpb:

          Create new base project to direct libraries into $ACE_ROOT/lib.

        * bin/MakeProjectCreator/config/acelib.mpb:

          Remove entries that direct libraries into $ACE_ROOT/lib.

        * ACEXML/apps/svcconf/svcconf.mpc:
        * ACEXML/common/common.mpc:
        * ACEXML/parser/parser/parser.mpc:
        * ASNMP/asnmp/asnmp.mpc:
        * Kokyu/Kokyu.mpc:
        * ace/QoS/qos.mpc:
        * ace/SSL/ssl.mpc:
        * ace/SSL/ssl_for_tao.mpc:
        * ace/ace_flreactor.mpc:
        * ace/ace_foxreactor.mpc:
        * ace/ace_qtreactor.mpc:
        * ace/ace_tkreactor.mpc:
        * ace/ace_xtreactor.mpc:
        * apps/Gateway/Gateway/gateway.mpc:
        * apps/Gateway/Peer/peer.mpc:
        * apps/JAWS/server/server.mpc:
        * apps/JAWS2/HTTPU/httpu.mpc:
        * apps/JAWS2/JAWS/jaws2.mpc:
        * apps/JAWS3/jaws3/jaws3.mpc:
        * netsvcs/lib/lib.mpc:
        * protocols/ace/HTBP/HTBP.mpc:
        * protocols/ace/RMCast/RMCast.mpc:
        * protocols/ace/TMCast/TMCast.mpc:
        * websvcs/lib/lib.mpc:

          Add ace_output.mpb as base project.

        * bin/PerlACE/Run_Test.pm:

          Add '.' onto the search path for test libraries.

        * bin/tao_orb_tests.lst:

          Create new alternate entries for some overly protracted tests
          enabling a quicker run through.

        * tests/SSL/acetest.mpb:

          Add $ACE_ROOT/tests onto the link path for ACE tests.

        * tests/run_test.pl:

          Add $ACE_ROOT/tests onto the load path for running ACE tests.

Mon Feb 11 20:46:13 UTC 2008  Ciju John  <johnc at ociweb dot com>

        Merging in changes from branch "Bug_3193". Here are the individual
        Changelog entries:
        Thu Feb  7 23:01:55 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/tao_orb_tests.lst:
          Turn on reactive flushing oneway send test scenario.

        Wed Feb  6 21:41:25 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/tao_orb_tests.lst:
          Disable test on Windows. No viable mechanism found to fulfill
          test pre-requisites on Windows.

        Wed Jan 30 23:18:35 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/tao_orb_tests.lst:
          Turn on TAO/tests/Oneway_Send_Timeouts.

Mon Feb 11 16:12:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
          Added wait_interval_for_process_shutdown which can be used to
          wait longer on slower systems

Wed Feb  6 08:30:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Some PPC's do lack log2

Wed Feb  6 23:29:55 UTC 2008  Steve Huston  <shuston@riverace.com>

        * examples/APG/Proactor/HA_Proactive_Status.cpp: Pass
          ACE_DEFAULT_ASYNCH_BACKLOG, not ACE_DEFAULT_BACKLOG, to the
          ACE_Asynch_Acceptor contructor. Corrects a startup error on Windows.
          Thanks to Sorin Voicu-Comendant for this fix.

        * THANKS: Added Sorin Voicu-Comendant to the Hall of Fame.

Tue Feb  5 22:15:29 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * bin/tao_other_tests.lst:

          Scheduled bug #3216.

Tue Feb  5 18:51:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/test_files.mpb:
          Use run_test*.pl as filter and automatic=0. That way we only
          generate projects when there is a run_test.pl file. Thanks to
          Adam Mitz for the suggestions.

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Readded test_files

Tue Feb  5 13:49:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          No need to set TAO_IDL, TAO_IDL_DEP, etc, just use HOST_ROOT.
          Also set the values in such a way we also support a Solaris host.

Tue Feb  5 13:30:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Added build_files as base project, test_files is the one that
          causes some problems

Tue Feb  5 08:07:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Temporarily remove test_files and build_files, it seems
          to cause some errors in the windows builds

Tue Feb  5 07:58:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Select_Reactor_Base.cpp:
          Revert change of yesterday, caused compile errors on non win32
          platforms

Mon Feb  4 19:48:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.6.h:
          Simplified this file

        * ace/Obstack_T.cpp:
          Initialise a few pointers

        * ace/Select_Reactor_Base.cpp:
          Removed duplicated code, made loop easier to read

        * ace/Naming_Context.{h,cpp,inl}:
          Use bool and added new inline file

Mon Feb  4 18:37:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/test_files.mpb:
          New file to list run_test.pl as Test_Files in for example a msvc
          project file. Thanks to Adam Mitz for suggesting a way to do
          this. This fixes bugzilla 3212

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Added test_files and build_files as base projects so that we
          get *.mpc/*.mpb/*.mwc/run_test.pl added to project files

Mon Feb  4 12:34:06 UTC 2008  Simon McQueen  <sm@prismtech.com>

        * bin/tao_other_tests.lst:

          Schedule regression tests for bug #2777 and #3215.

Sat Feb  2 07:08:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Malloc_T.h:
        * ace/Process_Semaphore.inl:
        * ace/Reactor.h:
        * ace/Select_Reactor_T.h:
          Doxygen improvements

Sat Feb  2 06:36:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Updated for CodeGear C++ Builder 2007 December Update

Fri Feb 01 13:25:00 UTC 2008  Simon Massey  <sma@prismtech.com>

        * ace/Timer_Heap_T.cpp:
          Fixed possiable race condition.

        * test/Timer_Queue_Reference_Counting_Test.cpp:
          Fixed periodic test timeout problem.

Wed Jan 30 16:00:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Queue.inl:
          Fixed incorrect include check

Sun Jan 27 07:32:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_mingw32.GNU:
          With gcc4 use the shared gcc libs

        * ACE-INSTALL.html:
          Document postfix for msvc71

Sat Jan 26 07:18:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Proactor_Scatter_Gather_Test.cpp:
          Fixed GCC warnings

Sat Jan 26 06:45:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/QOS/Change_Receiver_FlowSpec/Receiver_QoS_Event_Handler.h
        * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.h
        * examples/QOS/Change_Sender_TSpec/Receiver_QoS_Event_Handler.h
        * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.h
        * examples/QOS/Simple/Receiver_QoS_Event_Handler.h
        * examples/QOS/Simple/Sender_QoS_Event_Handler.h
          Fixed compile errors with MinGW GCC 4.2.1

Fri Jan 25 18:43:46 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * docs/svn/config:
        * docs/svn/svn-prefs.reg:

          Added *.mwb files to the default configuration.

Fri Jan 25 09:51:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
          GCC 4 with MinGW has other export macros in config-win32-common.h that
          must be used

Thu Jan 24 09:12:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/acedefaults.mpb
        * bin/MakeProjectCreator/config/vc8nmake.mpb
        * bin/MakeProjectCreator/config/vc9nmake.mpb
          Changed to use synchronous exception handling with msvc 8/9 which
          is the default. Asynchrous exception handling does catch access
          violations but it leads to lower performance and other problems.
          Also the C+ gurus advice not to use asynchronous exception
          handling. This fixes bugzilla 3169, thanks to
          Adrian Tulloch <my-ace-sub at reyes-tulloch dot com>
          for reporting this.

        * tests/Reactor_Exceptions_Test.cpp:
          Always use a C++ exception to test the reactor. This test is the
          only one that fails when using synchronous exception handling with
          msvc8/9 because it causes only an access violation on windows
          with msvc, on other platforms it already did throw a regular
          C++ exception

        * bin/MakeProjectCreator/templates/bor.mpd:
          Fixed typo in this template

Thu Jan 24 08:32:53 UTC 2008  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/tao_orb_tests.lst:
          Disabled test for bug 3154 on builds where no tao_idl present.

Thu Jan 24 08:25:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.h:
          Declare ace_main as extern C for VxWorks kernel mode. With this
          we can resolve ace_main using symFindByName. This fixes bugzilla
          3204

Wed Jan 23 23:40:32 UTC 2008  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (set): Propagate IPv4 and 6 lookup error values
          to errno.

        * tests/MT_Reference_Counted_Event_Handler_Test.cpp: When picking a
          unused listen port ends up binding an IPv6 address, use the IPv6
          "localhost" for the connect address. When unregistering a event
          handler, don't deref reactor() if it's zero (happens when the
          registration fails). Remove an extraneous %t spec in a log string.

Wed Jan 23 19:21:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          With GCC 2.9x we need to use -mcpu

Wed Jan 23 17:23:31 UTC 2008  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_linux.GNU: Don't add CFLAGS to CCFLAGS
          because it ends up adding -pipe twice when pipe=1. Thanks to Howard
          Finer for reporting this.

Tue Jan 22 10:46:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX.pm:
        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Refactored these scripts so that we have less duplicated code

Mon Jan 21 06:07:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.cpp:
          Fixed compile error

Thu Jan 17 19:58:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.3.GNU:
          Override RM on a solaris host

Thu Jan 17 19:35:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.6.h:
          Improved VxWorks 6.6 RTP support

Thu Jan 17 19:24:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Task_Ex_T.h:
          Marked can_put as deprecated like in Task_T.h

        * ace/Task_Ex_T.inl:
          Replaced assert with notsup return

        * ace/Task_T.inl:
          Removed not needed includes

        * ace/ACE.cpp:
          Const change

        * ace/DLL.cpp:
          Changed close_handle_on_destruction flag and error flag to bool.
          Use ACE_OS::dl_error() to get the error message

        * ace/DLL.h:
          Changed close_handle_on_destruction flag and error flag to bool

        * ace/Log_Msg.cpp:
          Use bool and print the process id as hex on OpenVMS, the DCL
          scripts also prints the process id as hax

        * ace/Log_Msg.h:
          Only defined the ACE_DEBUG, ACE_ERROR, and other
          macros when they are not defined yet

Thu Jan 17 18:57:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.6.h:
          Improved x86 support

        * ace/Dev_Poll_Reactor.cpp:
          Layout and const changes

        * ace/Encoding_Converter_Factory.cpp:
          Const changes

        * ace/FILE_Connector.h:
        * ace/Handle_Ops.h:
          Doxygen changes

        * ace/POSIX_Proactor.cpp:
          Use prefix increment/decrement and initialise pointer to 0

        * ace/SSL/SSL_Context.cpp:
          Initialise pointer to 0

Wed Jan 16 19:40:08 UTC 2008  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Nayeem Khan <d dot nayeem dot khan at gmail dot com>.

Wed Jan 16 18:16:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Turn on Bug 3198 regression test.

Wed Jan 16 15:50:19 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:

          Added support for iBootBar. iBootBar is similar to iBoot, except
          that it is rack mounted with 8 power outlets. The scripts above
          were extended to use the iBootBar iPAL protocol. The configuration
          in the autobuild xml file of iBootBar is exactly the same that of
          iBoot, except that you need to define ACE_RUN_VX_IBOOT_OUTLET
          environment variable to specify the power outlet number you want
          to use.

Wed Jan 16 13:05:17 UTC 2008  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:

          Added ACE_RUN_VX_LOGIN and ACE_RUN_VX_PASSWORD to the scripts.
          One can use those variables in the autobuild XML to specify
          the login/password used to access the target from telnet.

Tue Jan 15 19:16:56 UTC 2008  Ciju John  <johnc at ociweb dot com>

        * bin/tao_orb_tests.lst:
          Turn on Bug 3193 regression test.

Mon Jan 14 16:14:11 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/STL_algorithm_Test_T.cpp:

          Changed the std::for_each functor object to an actual class
          that will count the number of elements handled. It would
          be nice to eventually validate that the number of elements
          handled is equal to the number of elements in the container.

Mon Jan 14 14:06:33 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/Hash_Map_Manager_Test.cpp:

          Removed the print_value () function since it is no longer
          needed in the test.

        * tests/STL_algorithm_Test_T.cpp (for_each_callback):

          Wrapped the unused argument in ACE_UNUSED_ARG () to prevent
          compiler warnings.

Mon Jan 14 05:01:19 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/acetest.mpb:

          Added an empty template declaration to the base project to
          prevent actual tests from including unnecesary template source
          files.

Mon Jan 14 04:47:50 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.h:

          Added the ACE style iterator declaration for the const
          reverse iterator to ACE_Hash_Map_Manager_Ex.

Mon Jan 14 04:41:29 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.h:
        * ace/Hash_Map_Manager_T.inl:

          Implemented the ACE_Hash_Map_Const_Reverse_Iterator_Ex class,
          which is the const_reverse_iterator for the
          ACE_Hash_Map_Manager_Ex class.

        * tests/Hash_Map_Manager_Test.cpp:
        * tests/STL_algorithm_Test_T.h:
        * tests/STL_algorithm_Test_T.cpp:

          Generalized the STL algorithm test used in the hash map
          manager test so that it can be used with any ACE container.

        * tests/tests.mpc:

          Added the STL_algorithm_Test_T.* files to the
          Hash_Map_Manager_Test project.

Sun Jan 13 16:40:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Set PLATFORM_STLPORT_CPPFLAGS independent of the Sun C++ version.
          Thanks to Charles Brown <charles dot brown at sensis dot com>
          for reporting that this was causing a problem with Studio 12

        * include/makeinclude/platform_g++_common.GNU:
          Only set CXX_VERSION_FOR_TEST when it has not been set yet

Fri Jan 11 09:01:12 UTC 2008  Martin Corino   <mcorino@remedy.nl>

        * bin/PerlACE/ProcessVX_Win32.pm:
          Added ACE_RUN_VX_PRJ_ROOT env.var. to allow for projects
          having root directory for tests different from ACE_ROOT.

Tue Jan  8 09:02:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_types.h:
          Changed pid_t to be an int on windows. This fixes bugzilla
          3190, thanks to Nathan Ernst <nathan dot ernst at citadelgroup dot com>
          for reporting this

Sun Jan  6 19:55:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Don't run bug 2936 in a static build

Sun Jan  6 06:43:12 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IOStream_Test.cpp:
          Fixed include and removed chorus support

Sat Jan  5 07:03:36 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ChangeLog:

          Fixed incomplete entry below.

Fri Jan  4 23:49:23 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/Hash_Map_Manager_Test.cpp:

          Removed std::count_if sanity check since std::count_if is not
          supported on Sun Studio 10.

Fri Jan  4 18:47:56 UTC 2008  Adam Mitz  <mitza@ociweb.com>

        * bin/generate_doxygen.pl:

          Added support for peer-based layout of ACE+TAO+CIAO, and also fixed
          the use of TAGFILES when the -html_output option is used.

Thu Jan  3 14:29:28 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/Hash_Map_Manager_Test.cpp:

           Moved the Key_Equal_To struct to the top of the file.

Thu Jan  3 14:21:40 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/Hash_Map_Manager_Test.cpp:

          Removed ACE_HAS_STDCPP_STL_INCLUDES guard so the test can
          always execute the test_STL_algorithm () function if it
          compiles.

Thu Jan  3 01:06:23 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * tests/Hash_Map_Manager_Test.cpp:

          Fixed compilation error on non-Windows systems. For some
          reason, I used TCHAR instead of ACE_TCHAR. :/

Thu Jan  3 00:47:36 UTC 2008  James H. Hill  <hillj@isis.vanderbilt.edu>

        * ace/Hash_Map_Manager_T.h:

          Increased support for using ACE_Hash_Map_*_Iterator with
          functions in the STL <algorithm> header file. This involved
          defining all the traits required by std::iterator_traits
          for all the iterator types.

        * tests/Hash_Map_Manager_Test.cpp:

          Updated the test to check if the ACE_Hash_Map_*_Iterator
          classes are able to compile with simple STL <algorithm>
          cases. If the target platform does not support STL or
          our iterators, this compilation will fail.

Mon Dec 31 18:32:29 UTC 2007  Chris Cleeland  <cleeland@ociweb.com>

        * bin/PerlACE/Process_Unix.pm:

          Integrated a change originally made in OCITAO 1.4a to use a
          non-blocking waitpid() call in a loop (max 5 seconds) to avoid
          hanging the perl process in case waitpid() doesn't return.

Sun Dec 30 18:31:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        Simplify the setup for VxWorks. We have GNU and config files for each
        specific release, but the end user can just include the two new files
        below and we will select the specific file required

        * include/makeinclude/platform_vxworks.GNU:
          New file, based on the environment variable WIND_PLATFORM we
          select a specific VxWorks GNU file. The WIND_PLATFORM environment
          variable is set by the wrenv tool

        * ace/config-vxworks.h:
          Based on ACE_VXWORKS we include a specific vxworks config file.
          ACE_VXWORKS is added to the compiler flags when using the ACE
          GNU makefiles.

Fri Dec 28 18:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.6.GNU:
          Added -fno-strict-aliasing to the CPPFLAGS as workaround to get
          rid of the warnings on the VxWorks system header files. This
          has been reported to WindRiver

Fri Dec 28 18:18:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.11.h:
          New file for Solaris 11

Fri Dec 28 17:52:32 UTC 2007  Chris Cleeland  <cleeland@ociweb.com>

        * ace/config-macosx-leopard.h:

          Tweaks to get ACE tests to run properly on OS X Intel.  Major
          change was properly setting ACE_SIZEOF_LONG_DOUBLE.

        * include/makeinclude/platform_macosx_leopard.GNU:

          Broke this into a separate file, even though all it does right
          now is include the platform_macros for tiger.  Eventually I hope
          to refactor the OS X support so that it's structured more like
          the G++ supporting files.

Fri Dec 28 17:44:37 UTC 2007  Chris Cleeland  <cleeland@ociweb.com>

        * ace/Atomic_Op.cpp:

          Folded in changes originally from OCITAO 1.5a that prevent low
          probability race conditions when using ACE_Atomic_Op<> inside
          static instances in libraries that link with libACE.  This
          addresses [Bug 3185].

Fri Dec 28 15:34:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_common.GNU:
          Solaris 11 also has sendfile in its own library. Thanks to
          Douglas Atique <tellmebout-corba at yahoo dot com> for
          reporting this.

Thu Dec 27 11:23:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
          Enabled event_poll reactor for 2.6 kernels

        * ace/config-openvms.h:
          Cleanup

        * ace/config-vxworks6.6.h:
          Removed workaround

        * ace/Dev_Poll_Reactor.h:
          Removed linux kernel check, moved to config-linux-common.h

Mon Dec 24 10:17:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.7.h:
          Added ACE_HAS_DEV_POLL, it is introduced with Solaris 7

Mon Dec 24 09:32:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_common.GNU:
          New file, factored out common sunos5

        * include/makeinclude/platform_sunos5_g++.GNU:
          Use new common file

        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Use new common file and removed SunOS4 support

Fri Dec 21 21:22:58 UTC 2007  Friedhelm Wolf  <fwolf@dre.vanderbilt.edu>

        * ace/README: added documentation for ACE_HAS_STDCPP_STL_INCLUDES
          macro.

Fri Dec 21 14:10:48 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Task_T.inl: Added #include "ace/config-all.h" to the
          ACE_NOTSUP_RETURN macro would be visible.  Thanks to Steve
          Huston for reporting this.

Fri Dec 21 03:05:46 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Task_T.h (class ACE_Task): Updated the documentation for
          can_put() to make it clear that this method is deprecated and
          will go away at some point.

Fri Dec 21 03:03:56 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Task_T.inl (can_put): Removed the assert() since ACE library
          methods shouldn't call assert...  Changed this to
          ACE_NOTSUP_RETURN.  Thanks to Gautam Thaker for reporting this.

Thu Dec 20 20:01:07 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Codecs.h:
        * ace/Codes.cpp:

          Fixed fuzz warnings.

Tue Dec 18 17:56:30 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/ACE-development-process.html,
        * docs/ACE-bug-process.html: Updated these documents to clarify
          that submitters of code, bug fixes, etc. waive claims to
          copyright or ownership of the submissions.  Thanks to Tom
          Callaway <tcallawa at redhat dot com> for help with this.

Thu Dec 20 15:39:43 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Codecs.h:
        * ace/Codecs.cpp:

          Add is_chunked argument to encode() which selects whether the
          encoded output is "chunked" into newline terminated 72 column
          chunks.  Fixed bug where "chunked" output was not terminated by
          a newline if the input buffer length was an exact multiple of 3.
          Thanks to Alick Nie <alick_nie at 163 dot com> for reporting
          inconsistant encoding behavior which lead to this change.

        * THANKS:

          Add Alick Nie <alick_nie at 163 dot com>.

Thu Dec 20 14:00:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sched_Params.cpp:
          Use VX_TASK_PRIORITY_MAX and VX_TASK_PRIORITY_MIN when they
          are defined

Thu Dec 20 13:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Layout change

        * ace/OS_NS_Thread.inl:
          Fixed warning with VxWorks 6.6 which uses GCC 4.1.2

Thu Dec 20 13:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_dlfcn.inl:
          Fixed warning with VxWorks 6.6 which uses GCC 4.1.2

Thu Dec 20 13:34:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Fixed warning with VxWorks 6.6 which uses GCC 4.1.2

Thu Dec 20 13:04:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix_ibm.GNU:
          Fixed typo in this file

Thu Dec 20 10:30:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * bin/tao_orb_tests.lst:

          Exclude TAO/tests/CSD_Collocation from LynxOS builds. They
          overload/tax the LynxOS kernal resulting in random process
          table corruption and filing system errors.

Wed Dec 19 14:04:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix_ibm.GNU:
        * ace/config-aix-5.x.h:
          Deprecated Visual Age 5 and older

Tue Dec 18 14:40:11 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          Exclude TAO/tests/CSD_Collocation from minimum CORBA builds.

Tue Dec 18 10:47:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug 3171 Regression

Mon Dec 17 16:41:44 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added TAO/tests/CSD_Collocation.

Mon Dec 17 12:35:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * bin/tao_other_tests.lst:
          added TAO/orbsvcs/tests/InterfaceRepo/Bug_3174_Regression/run_test.pl
          for bugzilla 3174.

Mon Dec 17 10:00:12 UTC 2007  Martin Corino  <mcorino@remedy.nl>

        * ace/Pipe.cpp:
          Implemented fix for delays on OpenVMS when using socketpair() for Pipe.

Sun Dec 16 19:26:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Refcounted_Auto_Ptr.h:
        * ace/Refcounted_Auto_Ptr.inl:
          Extended this template, thanks to Hu Yi <huyi dot zg at gmail dot com>
          for extending this template

        * tests/Refcounted_Auto_Ptr_Test.cpp:
          Extended

        * tests/TSS_Test.cpp:
          Removed pthread draft 4 code and fixed compile warnings with VxWorks 6.6

        * ace/Pipe.cpp:
          Const changes

Sun Dec 16 07:03:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/common/AttributesImpl.h:
          Doxygen improvements

Sun Dec 16 06:49:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.5.h:
          Added ACE_HAS_SOCK_BUF_SIZE_MAX, thanks to Adam Mitz for pointing
          out this is needed for Solaris

        * ace/OS_NS_Thread.cpp:
          Const changes

        * ace/OS_NS_Thread.inl:
          Simplified ifdef checks in multiple methods

        * ace/Select_Reactor_Base.cpp:
          Layout change

        * ace/Select_Reactor_Base.inl:
          Change for msvc9

        * ace/Select_Reactor_T.cpp:
          No need to check for 0 after ACE_NEW_RETURN

        * ace/Svc_Conf.y:
        * ace/Svc_Conf_y.cpp:
          Changed DEBUGGING to SVC_CONF_Y_DEBUGGING and also fixed
          the compile problems that exist in the code guarded by
          this define

Sat Dec 15 15:02:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/gperf/gperf.mpc:
        * bin/PerlACE/perlace.mpc:
          Use custom_only=1 for these MPC files

Sat Dec 15 14:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Object_Manager.cpp:
          Disable the critical error boxes when  ACE_DISABLE_WIN32_ERROR_WINDOWS
          is defined. This fixes bugzilla 3170. Thanks to Adrian Tulloch
          <my-ace-sub at reyes-tulloch dot com> for suggesting this

        * ace/Svc_Conf.h:
          Fixed compile error when DEBUGGING is defined

        * ace/Token.cpp:
          Renamed DEBUGGING to ACE_TOKEN_DEBUGGING, DEBUGGING is used on
          more places like as a member in an enum. Also const, bool changes.

        * ace/TP_Reactor.cpp:
          Layout and const changes

Sat Dec 15 14:36:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/bzcar/bczar.html:
          Updated location of this page and improved bczar instructions

Fri Dec 14 13:21:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/index.html:
        * docs/Download.html:
          Updated for x.6.2

Fri Dec 14 02:48:57 CST 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.6.2 released.

Thu Dec 13 16:19:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_socket.h:
          Set ACE_HAS_SOCK_BUF_SIZE_MAX_VALUE to SSIZE_MAX when it is not
          set yet

        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
          No need to set ACE_HAS_SOCK_BUF_SIZE_MAX_VALUE anymore

        * ace/Pipe.h:
          Doxygen changes

Wed Dec 12 13:15:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl:
          When ACE_HAS_SOCK_BUF_SIZE_MAX is defined, don't use
          SSIZE_MAX but ACE_HAS_SOCK_BUF_SIZE_MAX_VALUE as value
          to check. That way we can limit the size of the packets
          on OpenVMS.

        * ace/config-openvms.h:
          Added ACE_HAS_SOCK_BUF_SIZE_MAX and set
          ACE_HAS_SOCK_BUF_SIZE_MAX_VALUE to a value of 64k. This should
          increase the test results on OpenVMS to a better level

        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
          Set ACE_HAS_SOCK_BUF_SIZE_MAX_VALUE to SSIZE_MAX to match
          the old behaviour.

        * ace/Reactor.h:
          Layout change

        * ace/Select_Reactor_T.cpp:
          Layout change, initialise pointer to 0

        * ace/SSL/SSL_SOCK_Stream.inl:
          Const changes

        * ace/TP_Reactor.cpp:
          Layout change

Fri Dec  7 18:33:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.h:
          Make sure we initialise the resolvLib with VxWorks RTP

Fri Dec  7 06:27:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/gperf/gperf.mpc:
        * bin/PerlACE/perlace.mpc:
          With vc9 set ConfigurationType to 10 to disable the creation
          of the manifest file which fails because these projects don't
          have source code

Thu Dec  6 15:22:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_SOCK_Stream.cpp:
          Layout and const changes

Wed Dec  5 14:46:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp:
          Use this-> to comply with coding standards

        * ace/OS_NS_dlfcn.inl:
          Initialise pointer with 0

        * ace/OS_NS_netdb.cpp:
          Use C++ const_cast instead of c-style cast

Tue Dec  4 20:20:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp:
          Removed some not needed ACE_UNUSED_ARG

        * OS_NS_netdb.inl (gethostbyaddr_r):
          Fixed VxWorks implementation

Tue Dec  4 19:28:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Run all csd tests on VxWorks

Tue Dec  4 18:07:59 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Temporarily exclude $TAO_ROOT/orbsvcs/orbsvcs/ESF from the
          ACE_SYNCH_MUTEX check to eliminate fuzz warnings.

Tue Dec  4 16:30:19 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Reactor_Notify_Test.cpp: Don't try to call
          run_quiet_notify_test in single-threaded build.

Tue Dec  4 15:03:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Base.h:
          Changed ACE_IMPLEMENT_WITH_NATIVE_LONGDOUBLE to
          ACE_CDR_IMPLEMENT_WITH_NATIVE_DOUBLE which has to be defined to
          1. This makes this file easier to maintain

        * ace/config-linux-common.h:
        * aceconfig-vxworks5.x.h:
          Added ACE_CDR_IMPLEMENT_WITH_NATIVE_DOUBLE defined as 1. This fixes
          also the LongDouble issues with VxWorks 6.x

Tue Dec  4 13:50:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/lib/Name_Handler.cpp (parse_args):
          Fixed unicode build

Mon Dec  3 19:41:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added bug 3163 regression

Mon Dec  3 19:00:57 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/lib/Name_Handler.cpp (naming_context): Fixed typos.

Mon Dec  3 14:57:36 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/lib/Name_Handler.h: Moved the inline methods to the
          Name_Handler.cpp file.  Also, zapped the unnecessary virtual
          method for naming_context().  Thanks to Johnny for catching
          this.

Mon Dec  3 14:21:20 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * netsvcs/lib/Name_Handler.{h,cpp}: Check the return value from
          this->parse_args (argc, argv) and allow use all range config
          options for ACE_Name_Acceptor::init.  Thanks to Vladislav Zverev
          vladislav at gtss dot spb dot ru> for these patches.

Mon Dec  3 10:06:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Removed not needed check for pthread_cancel

Mon Dec  3 10:02:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-aix-5.x.h:
        * ace/config-cray.h:
        * ace/config-cygwin32.h:
        * ace/config-hpux-11.00.h:
        * ace/config-integritySCA.h:
        * ace/config-irix6.x-common.h:
        * ace/config-linux.h:
        * ace/config-macosx-leopard.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx-tiger.h:
        * ace/config-macosx.h:
        * ace/config-netbsd.h:
        * ace/config-openvms.h:
        * ace/config-posix.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp-62x.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-rtems.h:
        * ace/config-sunos5.5.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
        * ace/config-win32-interix.h:
          Removed ACE_HAS_PTHREADS_STD, we only support the official pthread
          standard, not any draft

        * ace/config-cray.h:
          Removed support for Unicos 9 and earlier. So far as I can find on the web
          unicos 9 is from 1997

        * ace/config-mvs.h:
          Removed draft6, according to references on the web the std
          pthread is supported now

        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
          Newer NSK versions to support pthread std

        * ace/config-tru64.h:
          Removed support for ancient tru64 versions

        * ace/os_include/os_limits.h:
          Updated for VxWorks 6.6.

        * ace/os_include/os_pthread.h:
          Removed support for the draft pthread mappings

        * ace/os_include/os_time.h:
          Use ACE_HAS_PTHREADS

        * ace/os_include/sys/os_msg.h:
          Removed not needed workaround for osf1

        * ace/OS_NS_pwd.inl:
        * ace/OS_NS_signal.inl:
          Use ACE_HAS_PTHREADS

        * ace/OS_NS_string.cpp:
          Initialise pointer with 0

        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_Thread.inl:
        * ace/Thread_Manager.cpp:
          Removed support for pthread draft 4, 6, & 7

        * ace/Recursive_Thread_Mutex.cpp:
          get_nesting_level is only not support with VxWorks tasks

        * ace/Select_Reactor_Base.cpp:
          Layout change

        * ace/Token.h:
          Only with VxWorks tasks use semaphores

        * ace/WIN32_Asynch_IO.cpp

Sun Dec  2 17:47:13 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Remove code which defined ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA
          and ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION feature test macros.
          There are vestigial bits of the tests which still remain -- the
          entire platform template capability tests need to be rewritten.

        * m4/config_h.m4:

          Remove templates for ACE_HAS_TEMPLATE_INSTANTATION_PRAGMA and
          ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION.

Sun Dec  2 17:43:27 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/README:

          Remove description of ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION.
          This feature test macro was removed some time ago.

Sun Dec  2 17:41:01 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_stdlib.cpp:

          Change initial program name returned by the emulated version of
          ACE_OS::getprogname() to be the empty string rather than a null
          pointer.

Sun Dec  2 06:47:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/gperf/tests/test.cpp:
          Fixed conversion warning

Sat Dec  1 17:06:32 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:
          Fixed the checks of ACE_SYNCH_MUTEX and ACE_Thread_Mutex to exclude
          checking for those key words in ACE. We only want to detect the usage
          of those words in TAO and CIAO.

Fri Nov 30 23:59:41 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Added the following checks:

          check_for_ACE_SYNCH_MUTEX:
          This test checks for the use of ACE_SYNCH_MUTEX in TAO/CIAO,
          TAO_SYNCH_MUTEX should be used instead for consistency.

          check_for_ACE_Thread_Mutex:
          This test checks for the use of ACE_Thread_Mutex in TAO/CIAO,
          TAO_SYNCH_MUTEX should be used instead to make the code buid
          in single-threaded builds.

          I will fix the resulting fuzz errors over the weekend.

Fri Nov 30 22:11:32 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/WFMO_Reactor.h: Clarify that only the owner thread can expire
          timers and wait on the notifications handle.

Fri Nov 30 21:53:15 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Reactor_Notify_Test.cpp: Added a test to verify that a quiet
          (e.g., no I/O occurring) event loop will be awoken by a notify().

Fri Nov 30 16:58:00 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/CDR_Stream.{h cpp}:
          Added replace (ACE_CDR::Short, char *), analogous to the existing
          replace (ACE_CDR::Long, char *); replaces a previous place in the
          stream with a short.
          To make the replace() methods more convenient and easier to use
          correctly, added the following methods:
            char* write_long_placeholder (void);
            char* write_short_placeholder (void);
          These methods align the stream's write pointer properly then write
          a 0-valued placeholder in the stream. The pointer to the placeholder
          is returned; that pointer can later be passed to replace().

        * tests/CDR_Test.cpp: Added tests for placeholder and replace ops.

          Thank you to Howard Finer for contributing these additions.

        * NEWS: Added note about these additions.

Fri Nov 30 11:50:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * bin/tao_other_tests.lst:
          add TAO/orbsvcs/tests/InterfaceRepo/Bug_3155_Regression/run_test.pl

Thu Nov 29 19:49:23 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Process_Manager_Test.cpp: Changed ACE_MT_SYNCH to ACE_SYNCH so
          this works on single-threaded builds.  Thanks to Johnny for
          reporting this.

Thu Nov 29 18:10:27 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ARGV.h:

          #include "ace/Global_Macros.h".  This is included implicitly on
          platforms where ACE_TEMPLATES_REQUIRE_SOURCE, but is needed for
          those that don't.

Wed Nov 28 13:37:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.3.GNU:
          Only use pic when building rtp

Wed Nov 28 13:27:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
          Updated for VxWorks 6.6

Wed Nov 28 13:24:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Task.cpp:
          Updated for VxWorks 6.6

Wed Nov 28 13:18:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_arpa_inet.cpp:
          Updated for VxWorks 6.6

Wed Nov 28 13:08:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_types.h:
          Updated for VxWorks 6.6

Wed Nov 28 10:56:29 UTC 2007  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/tao_orb_tests.lst:
          Added Bug_3154_Regression.

Wed Nov 28 07:30:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timer_Queue_Adapters.{h,cpp}:
          Updated activate method because of new argument in the base
          class

Tue Nov 27 14:16:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux.GNU:
          Added support for Fedora 8

Tue Nov 27 14:03:17 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Process_Manager_Test.cpp: Added

          #include "ace/Synch_Traits.h"

          so the ACE_MT_SYNCH macro is visible.  Thanks to Johnny for
          reporting this.

Tue Nov 27 13:14:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Added missing const_cast for VxWorks

Tue Nov 27 13:10:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Multicast/server.cpp
          Don't use the deprecated ACE_SOCK_Dgram_Mcast methods

Tue Nov 27 10:01:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux.GNU:
          Updated for FC7

Tue Nov 27 08:27:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.{h,cpp,inl}:
        * ace/Task.{h,cpp}:
        * ace/Thread.{h,cpp,inl}:
        * ace/Thread_Manager.{h,cpp}:
          Added a const char* argument to all methods that create a thread
          so that we can pass in an optional thread name which is used at
          this moment only on VxWorks. Added ACE_OS::thr_name() to retrieve
          the name of the current thread.

        * ace/SOCK_Dgram_Mcast.{h,cpp}:
          Removed deprecated subscribe/unsubscribe methods

Tue Nov 27 06:33:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Multicast/Log_Wrapper.cpp:
          Don't use the deprecated ACE_SOCK_Dgram_Mcast methods

Mon Nov 26 20:41:03 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Process_Manager_Test.cpp: Changed the use of
          ACE_Thread_Mutex to ACE_SYNCH_MUTEX so that the test compilees
          properly on single-threaded builds.  Thanks to Johnny for
          reporting this.

Mon Nov 26 19:41:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Ntalker/ntalker.cpp:
          Don't use the deprecated ACE_SOCK_Dgram_Mcast methods

Mon Nov 26 15:10:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.6.GNU:
        * ace/config-vxworks6.6.h:
          New files for VxWorks 6.6

Mon Nov 26 12:27:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
          Make sure we also use -mlongcall with c files

Mon Nov 26 11:26:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux.GNU:
          With FC6 and RedHat 5.0/5.1 we have to disable visibility. Use
          lsb_release info to detect these versions. Simplifies the checks
          we do and at the same moment we also support RedHat 5.1 on IA65

Mon Nov 26 11:04:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabed several tests for VxWorks

Mon Nov 26 03:29:21 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Process_Manager.cpp: Fixed a problem where spawning a
          process with ACE_Process_Manager resulted in deadlock while
          waiting for the end of another process.  Thanks to Oliver Spang
          <oliver dot spang at nsn dot com> for these fixes.

        * tests/Process_Manager_Test.cpp: Added a regression test for
          Oliver's patches.  Thanks again to oliver Spang for this code.

Sun Nov 25 09:18:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.inl (vsprintf):
          Updated for msvc9

Sun Nov 25 09:15:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-msvc9.h:
          Disabled warning 4250 with this compiler

Sat Nov 24 00:23:34 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/Reactor.h: Clarified the workings of the optional hook function
          that can be passed to event loop methods. Thanks to Andre Kostur
          for this idea.

Fri Nov 23 19:38:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/vc8_warnings.mpb:
        * bin/MakeProjectCreator/config/vc_warnings.mpb:
          Renamed vc8 to vc because this file is now also used for vc9

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Updated base project because of rename above

        * bin/MakeProjectCreator/config/vc9.features:
          New file

        * bin/MakeProjectCreator/config/vc9nmake.mpb:
          New file

        * contrib/minizip/minizip.mpc:
          Updated for vc9

        * examples/Service_Configurator/Misc/Timer_Service.cpp:
          Layout change

        * examples/Connection/non_blocking/CPP-connector.cpp:
          Just not name an argument instead of using ACE_UNUSED_ARG

        * examples/APG/Reactor/HAStatus-AC.cpp:
          Initialise some pointers with 0

        * bin/make_release.py:
          Added generation for vc9

        * ASNMP/asnmp/wpdu.cpp:
          Layout change

        * ACE-install.sh:
          Removed, ancient

Fri Nov 23 19:38:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram_Mcast.cpp:
          Use join instead of subscribe

Fri Nov 23 06:50:01 UTC 2007  Olli Savia  <ops@iki.fi>

        * tests/run_test.lst:
          Do not run Signal_Test on LynxOS.

Thu Nov 22 13:47:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_for_tao.mpc:
        * ace/QoS/qos.mpc:
        * bin/MakeProjectCreator/config/ace_fl.mpb:
        * bin/MakeProjectCreator/config/ace_gl.mpb:
        * bin/MakeProjectCreator/config/ace_qt.mpb:
        * bin/MakeProjectCreator/config/ace_x11.mpb:
        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * bin/MakeProjectCreator/config/ipv6.mpb:
          Added support for vc9

Thu Nov 22 12:44:54 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Vector_T.inl:
          Fixed compile error

        * bin/msvc_mpc_auto_compile.pl:
        * bin/msvc_static_compile.pl:
          Added vc9 as option

Wed Nov 21 21:43:54 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Vector_T.inl (advance):
        * ace/Vector_T.cpp: Fixed the push_back() and pop_back() methods
          so they work properly after resizing.  Thanks to Karl-Heinz Wind
          <wind at itq dot de> for these fixes.  This fixes bugid 3152.

Wed Nov 21 21:36:27 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tests/Vector_Test.cpp (run_main): Updated the test so that it
          checks for the buggy push_back() and pop_back().  Thanks to
          Karl-Heinz Wind <wind at itq dot de> for providing these
          enhancements.

Wed Nov 21 19:37:29 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Reactor/Ntalker/ntalker.cpp (ACE_TMAIN):

          Use ACE_SOCK_Dgram_Mcast::leave() instead of deprecated
          ...::unsubscribe() to leave the multicast group.  Thanks to
          Stefan Naewe <stefan dot naewe at atlas-elektronik dot com> for
          reporting this.

Wed Nov 21 16:14:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_utsname.cpp (name):
          Extended VxWorks implementation

Wed Nov 21 16:06:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Added support for iBoot

Sun Nov 18 06:25:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Fixed ACE_HAS_POSIX_SEM_TIMEOUT check, thanks to Thomas Girard
          <thomas dot g dot girard at free dot fr> for reporting this.
          This fixes bugzilla 3153

Fri Nov 16 04:12:20 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * examples/Service_Configurator/Misc/main.cpp (ACE_TMAIN): Added a
          space between "-f" and "svc.conf".  This fixes a bug.  Thanks
          to Kun Niu <haoniukun at gmail dot com> for this fix.

Fri Nov 16 09:37:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_common.GNU:
        * ace/config-linux-common.h:
        * m4/platform.m4:
          Changed ACE_HAS_LINUX_NPTL to ACE_LACKS_LINUX_NPTL. All recent
          linux distributions do have NPTL, only older versions lack this
          support. By changing HAS to LACKS it makes it easier to use ACE
          with their own makefile scheme. This fixes bugzilla 3084

Thu Nov 15 19:44:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_common.GNU:
          Retrieve distribution and release number using lsb_release

        * include/makeinclude/platform_g++_common.GNU:
          Moved RedHat/FC checks to platform_linux.GNU, this only needs
          to be done when using GCC on Linux, not when using GCC on
          other platforms

        * include/makeinclude/platform_linux.GNU:
          With Ubuntu 7.04 and 7.10 we can't use visibilit, we get
          unresolved externals when using it. We are now using
          lsb_release to detect the distribution

Thu Nov 15 08:41:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_limits.h:
          PIPE_BUF is also defined to -1 with VxWorks 6.5

Thu Nov 15 05:40:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GN:
          Add -mlongcall also to CFLAGS

Wed Nov 14 19:12:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          When link_groups is defined to 1 we group the LDLIBS within
          -Wl,--start-group and -Wl,--end-group. This way the user can
          manually enable this through the platform_macros.GNU file and
          doesn't need to regenerate all makefiles. Also removed the
          check for the compiler name, with VxWorks we also can use this
          and there we have different compilers (ccppc, ccpentium, etc)

        * include/makeinclude/wrapper_macros.GNU:
 also can use this
          and there we have different compilers (ccppc, ccpentium, etc)

        * include/makeinclude/wrapper_macros.GNU:
          Set link_groups to 0 by default, the user has to explicitly enable
          it

        * bin/MakeProjectCreator/docs/templates/gnu.txt:
          Removed link_groups, that is now enabled through platform_macros.GNU,
          not through MPC

Wed Nov 14 16:16:49 UTC 2007  Ciju John  <johnc at ociweb dot com>

        * ace/Service_Config.cpp:
          Check the reactor instance before using it.

Wed Nov 14 14:34:26 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * m4/platform.m4:

          Remove autoheader template and platform support for the pSOS
          platform.  Support was removed from ACE some time ago.

Wed Nov 14 11:00:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          Added support for Intel C++ 10.1

Wed Nov 14 07:47:28 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Removed PTHREAD_STACK_MAX autoheader template as this feature
          test macro is not used.

Wed Nov 14 07:46:43 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * m4/platform.m4:

          Remove autoheader template and platform support for the DG/UX
          platforms.  Support was removed from ACE some time ago.

Wed Nov 14 07:23:07 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/platform.m4:

          Update autoheader templates for ACE_INT64_FORMAT_SPECIFIER and
          ACE_UINT64_FORMAT_SPECIFIER to clarify that they're the printf
          format specifiers for the ACE_INT64 and ACE_UINT64 types.

          This can be an important distinction for platforms with
          compilers that validate literal format strings (where passing
          "long long" for "%ld", or "long" for "%lld" will result in an
          warning/error even when both are 64 bit integers).

Wed Nov 14 07:18:21 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/platform.m4:

          Remove platform support for the "fsu" platform.  Support was
          removed from ACE some time ago.

Wed Nov 14 07:12:03 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * m4/platform.m4:

          Remove autoheader templates and platform support for the "m88k"
          platform.  Support was removed from ACE some time ago.

Tue Nov 13 14:34:17 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Replace autoheader templates for ACE_HAS_ALPHA_TIMER,
          ACE_HAS_POWERPC_TIMER, and ACE_HAS_PENTIUM in config_h.m4 with
          a third argument to AC_DEFINE in configure.ac

Tue Nov 13 07:45:25 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add ACE_HAS_INTEL_ASSEMBLY feature test.

Tue Nov 13 06:48:16 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_time.inl:

          Changed the inline assembly implementation of gethrtime() for
          the amd64/x86_64 architecture to recognize that the timestamp is
          read into the %eax and %edx registers, and thus must be combined
          into a 64 bit value. Thanks to Nathan Ernst <Nathan dot Ernst at
          citadelgroup dot com > for reporting this bug.

        * THANKS:

          Add Nathan Ernst <Nathan dot Ernst at citadelgroup dot com>.

Tue Nov 13 06:01:33 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_stdio.inl:

          Change of Thu Nov  8 04:02:21 UTC 2007 was missing ACE_WIN32
          in conditional.  Thanks to Johnny Willemsen for pointing out
          resulting scoreboard failures.

Mon Nov 12 20:05:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled Smart_Proxies/Policy with VxWorks

Mon Nov 12 14:16:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.{h,cpp,inl}:
          Use bool for several flags

Mon Nov 12 14:12:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disable Bug_2953_Regression for the moment on VxWorks, it hangs out
          target

Mon Nov 12 13:04:11 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/CDR_Base.inl:

          Take advantage of bswap16, bswap32, and bswap64 macros when
          ACE_HAS_BSWAPXX is defined as we do for bswap_16, bswap_32,
          and bswap_64 when ACE_HAS_BSWAP_XX is defined.

        * configure.ac:

          Changed checks for bswap_16, bswap_32, and bswap_64 to use
          ACE_CHECK_HAS_DEFINES.  Thanks to Thomas Girard <thomas dot g
          dot girard at free dot fr> for reporting the ACE_HAS_BSWAP_XX
          feature test macros were not being defined because bswap_16,
          bswap_32, and bswap_64 are implemented as macros.  This fixes
          bugzilla 3134.

          Added check for bswap16, bswap32, and bswap64.  These are the
          *BSD, Darwin, etc. equivalents of the bswap_XX macros.

        * m4/ace_defines.m4:

          New file, new autoconf macros ACE_CHECK_DEFINE,
          ACE_CHECK_HAS_DEFINES, and ACE_CHECK_LACKS_DEFINES.  These are
          used like ACE_CHECK_HAS_FUNCS and ACE_CHECK_LACKS_FUNCS, where
          the tested feature is implemented as a macro and not a function.

Mon Nov 12 10:25:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * bin/PerlACE/ConfigList.pm:

          Bugzilla 3085: Fix for "and" test for test suite control.

Mon Nov 12 10:01:53 UTC 2007  Olli Savia  <ops@iki.fi>

        * tests/Max_Default_Port_Test.cpp:
          Changed this test to work on LynxOS.

Mon Nov 12 06:36:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disable bug 2494 regression for vxworks, it hangs our target.
          When this test has been analyzed in detail we will enable
          it again

Mon Nov 12 06:31:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
          The ACE_HAS_RUSAGE_WHO_ENUM and ACE_HAS_RLIMIT_RESOURCE_ENUM
          are not needed anymore with glibc 2.3 and newer
          Thanks to Thomas Girard <thomas dot g dot girard at free dot fr>
          for reporting this. This fixes bugzilla 3143

Sun Nov 11 18:59:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disable bug 1020 regression for vxworks, it hangs our target.
          When this test has been analyzed in detail we will enable
          it again

Sun Nov 11 18:41:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Added check for wcsnlen.
          Thanks to Thomas Girard <thomas dot g dot girard at free dot fr>
          for reporting this. This fixes bugzilla 3146

Sun Nov 11 18:31:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Replaces ACE_RUN_TAO_DEBUG_LEVEL with TAO_RUN_TAO_ORB_DEBUG

Fri Nov  9 23:45:48 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Remove DEFAULT_INCLUDES= added on Wed Nov 7 04:33:02 UTC 2007.
          Automake's nostdinc option performs the same function, but in
          a documented, supported, manner.

        * configure.ac:

          Use nostdinc option to AM_INIT_AUTOMAKE.  This instructs
          automake not to add -I options for the current directory.

Fri Nov  9 02:16:24 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Asynch_IO.h: Disallow copying and assignment for
          ACE_Handler.  Thanks to Juraj Ivancic <juraj dot ivancic at
          gmail dot com> for this suggestion.

Fri Nov  9 11:46:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-tandem-nsk-mips-v3.h:
        * ace/os_include/sys/os_types.h:
        * ace/Task.cpp:
        * ace/Truncate.h:
          Improved NSK support, thanks to Gary Maxey <gary dot maxey at hp dot com>
          for delivering the patches. This fixes bugzilla 3124

Fri Nov  9 11:25:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Doxygen improvements

Fri Nov  9 11:06:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
          Newer glibc versions don't need ACE_HAS_NONCONST_SETRLIMIT anymore.
          Thanks to Thomas Girard <thomas dot g dot girard at free dot fr>
          for reporting this. This fixes bugzilla 3136

Fri Nov  9 09:46:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          Some PPC's don't have log2 in kernel mode

Fri Nov  9 09:37:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.{h,cpp,inl}:
        * ace/Thread_Manager.cpp:
          Changed ACE_hthread_t to an int for VxWorks. This makes the core of
          ACE cleaner and more stable on VxWorks. At this moment you can't give
          a Task a name, but we will extend the thread creation functions
          with an additional char* in a next iteration. That way you can use
          task names also when using pthread on vxworks. See also bugzilla 3131

        * tests/Conn_Test.cpp:
        * tests/Thread_Manager_Test.cpp:
          Disable task name setting, will be enabled again when the spawn
          methods are extended

Fri Nov  9 08:58:21 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Base.inl:
          Fixed incorrect define. This fixes bugzilla 3139. Thanks to
          Thomas Girard <thomas dot g dot girard at free dot fr>

        * ace/Dynamic_Service_Base.{h,cpp}:
          Reduced number of methods by using default argument values

        * ace/Object_Manager.{h,cpp}:
        * ace/Service_Config.cpp:
          The Service Configurator depends on the availability of TSS. When
          TSS emulation is enabled, that emulation needs to be initialized
          within the Object Manager. The Object Manager also depends on the SG,
          so added a new init_tss() method that just initializes TSS
          which is then called from the SG constructor. This fixes
          problems with TAO VxWorks 6.x kernel mode. Thanks to Iliyan for
          giving insights how SG/SC should work.

        * ace/OS_NS_Thread.h:
          Changed key_create_ to bool and check the return value of taskSpawn

        * ace/Reactor.h:
        * ace/Service_Config.inl:
          Doxygen change

        * ace/Service_Config.cpp:
          Updated some debug statements

        * bin/PerlACE/ProcessVX_Unix.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          Added ACE_RUN_ACE_DEBUG and ACE_RUN_TAO_DEBUG_LEVEL, if set then
          ACE_DEBUG/TAO_DEBUG_LEVEL are set as environment variabled on the
          target

Thu Nov  8 04:02:21 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_stdio.inl:

          Changed wide character version of ACE_OS::vsnprintf()'s to match
          ACE_OS::snprintf() as like prior to Sun Oct 28 21:11:57 UTC 2007.
          This fixes a error reporting in buffer overflow conditions.

          At that time all the ACE_OS::*printf() functions were changed to
          call ACE_OS::v*printf().  The intent was to reduce the chance of
          bugs being introduced because of largly parallel implementations.
          What I didn't expect was that such a bug was already present.

Thu Nov  8 02:09:02 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Codeset_Registry_db.cpp:
          Added an entry for UTF-8.

Wed Nov  7 18:53:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug_2133 regression

Wed Nov  7 04:33:02 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Add DEFAULT_INCLUDES definition that got lost during regeneration.
          Fixes autoconf builds on case-insensitive filesystems.

        * m4/platform.m4:

          Add ACE_HAS_NONCONST_FD_ISSET feature test.

          Thanks to Doug McCorkle <mccdo at iastate dot edu> for providing
          this patch.

Tue Nov  6 11:30:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * ace/OS_NS_Thread.cpp:

          Re-instated the change of Thu Nov  1 14:40:00 UTC 2007.
          Valgrind tests prove this is not causing the memory leaks
          just exposing some existing ones. The whole area of TSS use
          with singletons/statics needs to be investigated.
          (See Bugzilla 3128 for details.)

Tue Nov  6 10:59:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Win32.pm:
          Fixed dirname setting

Mon Nov  5 20:00:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Gateway/Concrete_Connection_Handlers.cpp:
        * apps/Gateway/Peer/Peer.cpp:
          Fixed GCC 4.2.1 warnings

Mon Nov  5 14:06:54 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/PerlACE/Run_Test.pm:

          Change wait_interval_for_process_creation from 10/12 to 15
          seconds on non-VxWorks systems.

          My change of Thu Nov 1 04:36:27 UTC 2007 improved results of the
          NetBSD scoreboard, but was still not enough time to ensure tests
          started.  I've increased the wait for all OS's instead of NetBSD
          only, since this is likely to be a problem on all OS's that need
          to calibrate the high res timer.  This extra delay shouldn't
          slow the testsuite execution on faster systems, as the existence
          of the sentinal file is polled by PerlACE::waitforfile_timed()
          which returns as soon as the file exists.

Mon Nov  5 11:40:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * ace/OS_NS_Thread.cpp:

          Reverted the change of Thu Nov  1 14:40:00 UTC 2007 at the
          request of Buildczar to test for memory leaks within this
          area of the build. If this shows improved memory usage then
          TAO is missusing keyfree and this needs to be investigated.
          keyfree should NOT be responciable for the tidy-up of TSS
          and it should NOT be calling destructors for the registered
          keys it is being used to deactivate. (See the documentaion
          for pthread_key_delete() and thr_keydelete() which our keyfree
          call wraps.)

Sat Nov  3 06:24:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Fixed a bug introduced by my VxWorks changes, thanks to JT
          for finding this

Fri Nov  2 22:31:36 UTC 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/os_include/os_stdio.h:
        * ace/config-macosx-leopard.h:

         Preliminary compatibility for Mac OS X 10.5

Fri Nov  2 07:48:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.{h,cpp}:
          Removed the patch for bugzilla 2980, this results in a memory
          leak of 10Kb for each thread that uses the ACE_Service_Config_Guard.
          This memory leak is documented in bugzilla 3108. For bugzilla 2980
          we need to have a different patch without reintroducing the
          memory leak.

        * ace/Timer_Heap_T.h:
          Doxygen changes

Thu Nov  1 19:59:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted the change below, it seems to cause problems with msvc 71.

        Thu Nov  1 11:11:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
        * ace/Service_Config.h:

Thu Nov  1 16:57:11 UTC 2007  Steve Huston  <shuston@riverace.com>

        * contrib/FaCE/FaCE.mpc:
        * contrib/FaCE/FaCENOACE.mpc: Added aygshell to lit_libs to fix link
          errors.

Thu Nov  1 14:40:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * ace/OS_NS_Thread.cpp:

          Systems with ACE_HAS_BROKEN_THREAD_KEYFREE requires some
          cleanup within ACE_OS::thr_keyfree_native() otherwise they
          can crash at thread_exit if ACE is dynamically loaded.

Thu Nov  1 11:59:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Select_Reactor_T.h:
        * ace/Timer_Queue_T.h:
        * ace/Timer_Wheel_T.h:
          Doxygen changes

        * ace/Timer_Queue_T.cpp:
          Layout change

Thu Nov  1 11:11:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.h:
          Removed the patch for bugzilla 2980, this results in a memory
          leak of 10Kb for each thread that uses the ACE_Service_Config_Guard.
          This memory leak is documented in bugzilla 3108. For bugzilla 2980
          we need to have a different patch without reintroducing the
          memory leak.

        * ace/Service_Config.cpp:
        * ace/Service_Config.h:
        * ace/Service_Config.inl:
        * ace/Service_Gestalt.cpp:
        * ace/Service_Gestalt.h:
          Bool changes

Thu Nov  1 10:23:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Malloc_Test.cpp:
          Initialise some pointers with 0 to fix gcc 4.2 warnings. Thanks
          to Robert Iakobashvili <coroberti at gmail dot com> for reporting
          this

Thu Nov  1 09:27:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Process.h:
        * tests/Reactor_Impl.h:
        * tests/Select_Reactor_T.h:
        * tests/SOCK.h:
        * tests/SOCK_Acceptor.h:
        * tests/SOCK_SEQPACK_Acceptor.h:
        * tests/TkReactor/TkReactor.h:
        * tests/Token.h:
        * tests/WFMO_Reactor.h:
        * tests/WIN32_Asynch_IO.h:
        * tests/WIN32_Proactor.h:
        * tests/XtReactor/XtReactor.h:
          Doxygen improvements

        * tests/TSS_T.cpp:
        * tests/TSS_T.h:
          Initialise pointers with 0 and changed once_ to a bool

Thu Nov  1 04:36:27 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/PerlACE/Run_Test.pm:

          Change wait_interval_for_process_creation from 10 to 12 seconds
          on NetBSD systems.  Many TAO unit tests take at least 5 seconds
          to initialize on NetBSD/i386 systems as they calibrate the high
          resolution timer.  Often this doesn't leave enough time to
          complete initialization within the timeout.

          Since there was a special case for LynxOS, I just extended it
          for NetBSD.

Wed Oct 31 13:54:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ProcessVX_Win32.pm:
          Updated to work with the new test setup for VxWorks. Thanks to
          Martin Corino for updating this file

Wed Oct 31 13:38:39 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_unistd.cpp:

          Add ACE_UNUSED_ARG for ACE_HAS_THREADS case.

Wed Oct 31 12:17:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
          Improved VxWorks 6.x support

Tue Oct 30 14:51:21 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_unistd.cpp:

          Changed ACE_OS::fork() to not call ACE_Base_Thread_Adapter::
          sync_log_msg() if ACE_HAS_THREADS.  sync_log_msg() will call
          async signal unsafe functions, which results in undefined
          behavior.

Tue Oct 30 14:29:31 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/msvc_static_order.lst:

          Project names in CIAO have been changed recently due to the effort
          to break executor->servant dependency. generate_component_mpc.pl
          script now also generates project names that are different than
          the names that existed in the repository. As such, we needed to
          modify this file accordingly. This should fix compile time
          problems for WinXP_VC71_CIAOCore_Static_Debug build.

Tue Oct 30 10:56:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
          Support static_libs_only=1 correctly

Mon Oct 29 16:35:09 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_stdio.cpp:
        * ace/os_include/os_stdarg.h:

          Move workaround for the lack of va_copy() macro from
          OS_NS_stdio.cpp to os_include/os_stdarg.h.

          Thanks to Johnny Willemsen for suggesting this improvement.

Mon Oct 29 16:10:07 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Updated check_for_lack_ACE_OS to incorporate new wrapper facade functions
          introduced in:
          Sun Oct 28 21:11:57 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

Mon Oct 29 15:01:28 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_stdio.cpp:
        * ace/Process.cpp:

          Fixed fuzz warnings.

Mon Oct 29 14:44:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-openbsd.h:
          Improved OpenBSD support. Thanks to Vladimir Panov
          <gbr at voidland dot org> for reporting this.

        * ace/Dev_Poll_Reactor.h:
        * ace/FlReactor/FlReactor.h:
        * ace/FoxReactor/FoxReactor.h:
        * ace/POSIX_Asynch_IO.h:
        * ace/Proactor.h:
        * ace/QtReactor/QtReactor.h:
        * ace/Reactor.h:
        * ace/Signal.h:
          Doxygen improvements

        * ace/Service_Config.{h,cpp}:
          Changed be_a_deamon to bool

        * ace/Service_Repository.cpp:
          Initialise pointer with 0

Mon Oct 29 14:17:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ARGV.h:
          Made several constructor explicit

        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.inl:
        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h:
          Switched ACE_thread_t and ACE_hthread_t definitions for VxWorks
          with task support. ACE_thread_t is now an int, ACE_hthread_t is
          a char*. This improves speed and solves possible raise conditions
          with the TP_Reactor, see bugzilla 2441. The new code can be
          refactored a little bit more, but that will be a seperate iteration.

        * tests/Bound_Ptr_Test.cpp:
          Initialize some pointers with 0 and replaced some ACE_ASSERT with if
          checks

        * tests/Conn_Test.cpp:
        * tests/Thread_Manager_Test.cpp:
          Updates for ACE_thread_t/ACE_hthread_t change

        * tests/Dirent_Test.cpp:
          Fixed default path which caused runtime failure on VxWorks

        * tests/Sigset_Ops_Test.cpp:
          Use bool

        * tests/SOCK_Dgram_Bcast_Test.cpp:
        * tests/SOCK_Dgram_Test.cpp:
        * tests/Thread_Creation_Threshold_Test.cpp:
          Extended error information

        * tests/Thread_Pool_Reactor_Test.cpp:
          Removed chorus check

Mon Oct 29 12:42:34 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_stdio.cpp:

          Add workarounds for systems without va_copy() macro.  Use
          __va_copy() on systems that have it, otherwise memcpy().

          Use 0 instead of NULL for portability.

          Thanks to Johnny Willemsen for pointing out these errors.

Mon Oct 29 12:26:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Don't run Signal_Test and Bug_2659_Regression_Test on VxWorks
          6.4 and 6.5. These kernels have a bug which causes these tests
          to fail. According to WindRiver support the issue will be
          resolved with VxWorks 6.6

Mon Oct 29 07:30:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.inl:
          Fixed ambiguity error with BCB6

Sun Oct 28 21:11:57 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add ACE_HAS_GETPROGNAME, ACE_HAS_SETPROGNAME, ACE_HAS_VASPRINTF,
          and ACE_HAS_VASWPRINTF feature tests.

        * ace/config-freebsd.h:
        * ace/config-netbsd.h:

          Add ACE_HAS_GETPROGNAME, ACE_HAS_SETPROGNAME, and
          ACE_HAS_VASPRINTF feature test macros.

        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stdio.h:
        * ace/OS_NS_stdio.inl:

          Add new ACE_OS::asprintf(), ACE_OS::aswprintf(),
          ACE_OS::vasprintf(), and ACE_OS::vaswprintf() wrapper facades.
          These functions dynamically allocate the buffer used for their
          output with malloc().  Add ACE_OS::vasprintf_emulation() and
          ACE_OS::vaswprintf_emulation() functions for systems without
          native ::vasprintf() and ::vaswprintf() implementations.

          Add missing wide character version of ACE_OS::printf() wrapper
          facade.

          Add missing wide and narrow character versions of ACE_OS::vprintf()
          wrapper facades.

          Add missing wide and narrow character versions of ACE_OS::vfprintf()
          wrapper facades.

          Implement ACE_OS::*printf() in terms of its cooresponding
          ACE_OS::v*printf() function to ensure consistant behavior.

        * ace/OS_NS_stdlib.cpp:
        * ace/OS_NS_stdlib.h:
        * ace/OS_NS_stdlib.inl:

          Add ACE_OS::getprogname() and ACE_OS::setprogname() wrapper
          facades.  These functions are used to get and set the program
          name for error handling, logging, etc. On systems with native
          implementations, the program name is automatically set by the
          C/C++ startup code.  On others, ACE_OS::setprogname() must be
          used.

          Add ACE_OS::getprogname_emulation() and
          ACE_OS::setprogname_emulation() for systems without native
          ::getprogname() and ::setprogname() implementations.  One
          limitation of the emulated version is the program name is
          not available from static constructors.

        * ace/Process.cpp:

          If ACE_HAS_THREADS, don't invoke ACE_ERROR() in the child
          process between the fork() and exec().  ACE_ERROR() undoubtedly
          calls async signal unsafe functions, which results in undefined
          behavior in threaded programs.

Fri Oct 26 11:17:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks6.3.GNU:
          Applied patch of Thomas Lockhart
          <Thomas dot Lockhart at jpl dot nasa dot gov> for shared library
          building on VxWorks 6.3. This fixes bugzilla 3113

Fri Oct 26 05:18:13 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Remove ACE_HAS_CPLUSPLUS_HEADERS, ACE_HAS_NEW_NOTHROW,
          ACE_HAS_STDCPP_STL_INCLUDES, ACE_LACKS_PRAGMA_ONCE,
          ACE_NEW_THROWS_EXCEPTIONS, and ACE_HAS_PENTIUM, as these
          definitions are inherited from config-g++-common.h, and
          result in redefinition warnings.

Thu Oct 25 21:00:46 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/msvc_static_order.lst:

          Project names in CIAO have been changed recently due to the effort
          to break executor->servant dependency. generate_component_mpc.pl
          script now also generates project names that are different than
          the names that existed in the repository. As such, we needed to
          modify this file accordingly. This should fix compile time
          problems for WinXP_VC71_CIAOCore_Static_Debug build.

Thu Oct 25 15:21:02 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_sunos5_sunc++.GNU:

        Fixed version detection for SunCC 5.5 (Studio 8), the change from
        Wed Sep 26 08:37:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
        had an off-by-one bug.

Thu Oct 25 14:47:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2659_Regression_Test.cpp:
          Do a wait on the reactor thread for 5 seconds, it should
          end within that time, if not, we return -1. On VxWorks this
          test doesn't succeed and hangs, with this change it just
          returns -1 speeding up the test run

Thu Oct 25 13:07:11 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added DII_AMI_Forward test

Thu Oct 25 12:24:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          Added ACE_HAS_SIGACTION_CONSTP2

Thu Oct 25 10:26:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2659_Regression_Test.cpp:
          Some layout changes and added a debug message so that we can see
          a little bit more what is happening on VxWorks

Thu Oct 25 09:51:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug_3108_Regression

Thu Oct 25 09:27:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug_3080

        * bin/copy-script.sh:
          Added copy-script which is used during the release process

Thu Oct 25 08:36:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Thread_Creation_Threshold_Test.cpp:
          Limit the number of threads for VxWorks. Spawning 50 threads takes
          more then a second on VxWorks, the tests wants to spawn 100000 which
          would take about 30 minutes on VxWorks :-(

Thu Oct 25 08:26:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-netbsd.h:
          Include config-g++-common.h to get the needed defines for the
          GCC compiler. This fixes bugzilla 3094. Thanks to Venkat Sidhabathuni
          <venkats at idengines dot com> for reporting this.

        * ace/INET_Addr.cpp:
          Const changes and set some sin_len fields for VxWorks

        * ace/OS_NS_netdb.inl (gethostbyname_r):
          Fixed invalid check in VxWorks specific part

        * ace/OS_NS_stdlib.cpp:
          Const change

        * ace/OS_NS_sys_socket.inl:
          After bind of sin_addr.s_addr != INADDR_ANY VxWorks clears the sin_port
          field. This leads to a failure of the SOCK_Dgram_Test but could also
          affect other parts of ACE/TAO. After the bind, we use getsockname()
          to retrieve the sockaddr struct again. This mimics the behaviour of
          other network stacks. This fixes bugzilla 3107

        * ace/OS_NS_sys_stat.inl (fstat):
          Cleanup done to this method. Thanks to Rick Ohnemus
          <rick dot ohnemus at systemware dot com> for reporting this. This
          fixes bugzilla 3109

        * ace/Process.cpp:
          Use this-> when calling a method

        * ace/SOCK_Dgram.cpp:
          Use bool

Wed Oct 24 11:41:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram_Test.cpp:
          Improved this test to handle the problem on VxWorks. The change below
          has been reverted, it seems we have somewhere a problem in ACE

Tue Oct 23 19:15:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram_Test.cpp:
          On VxWorks binding the socket seems to clear the port number. For the
          moment just reset the port number, that will fix this test failure. We
          are in contact with WindRiver to sort out the real problem in the
          network stack.

Tue Oct 23 14:40:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Signal_Test.cpp:
          Use ACE_ERROR_RETURN instead of ACE_ASSERT which causes a VxWorks
          target to hang

Tue Oct 23 14:10:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Sendfile_Test will not work on VxWorks kernel mode, we don't have
          sendfile but we also lack mmap for the emulation

Tue Oct 23 13:57:30 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/run_test.pl: Changed handling of tests in subdirectories to
          chdir to the subdirectory to run the test; allows tests to pick up
          files they need (like keys and ciphers). This places the test's
          log under its subdirectory (e.g. SSL/log) as well.

Tue Oct 23 13:51:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.{h,cpp,inl}:
          Use ACE_HAS_VXTHREADS, use bool, doxygen improvements and
          improved ACE_OS::thr_equal to guard against an unitialized
          ACE_thread_t which is a 0 pointer on VxWorks. This fixes then
          the crash of the Reader_Writer_Test in our daily regression
          suite

        * tests/Reader_Writer_Test.cpp:
          Use prefix increment/decrement, also use a long for the counts,
          these are implemented in assembly on most architectures

Tue Oct 23 13:17:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          VxWorks 6.x doesn't have perfect multicast filtering

        * ace/FILE_Addr.h:
        * ace/FILE_IO.h:
          Doxygen fixes

        * ace/Lib_Find.cpp:
          Use prefix increment

Tue Oct 23 10:41:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_Connector.h:
          Fixed some missing bool usage

        * ace/Asynch_Acceptor.{h,cpp}:
          Use bool and remove validate_new_connection which was deprecated in
          ACE 5.4

        * ace/Log_Msg.{cpp,inl}:
          The Log_Msg stores the process id a static pid so that we only have to
          obtain it once. It was initialized with -1, but when the OS doesn't have
          process support (like VxWorks), then -1 is returned by ACE_OS::getpid()
          which reduces in a performance reduction. Changed the default value to -2
          so that on a platform like VxWorks we also just obtain once.

        * ace/Thread_Manager.{h,cpp,inl}:
          Doxygen changes, const changes, use bool when possible. Also use
          ACE_HAS_VXTHREADS instead of ACE_HAS_VXWORKS to check if we are using
          VxWorks with task support

Mon Oct 22 19:03:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_TLI.h:
          Removed workaround for unixware 2.0

        * ace/Proactor.{h,cpp}:
          Use bool for delete_implementation flag

        * ace/Select_Reactor_Base.cpp:
          Const improvement

        * ace/config-WinCE.h:
        * ace/OS_NS_time.h:
          Added ACE_LACKS_STRUCT_TM which is set in the config file and used in
          OS_NS_time.h

        * ace/FoxReactor/FoxReactor.cpp:
          Layout and const changes

        * ace/OS_QoS.h:
          Doxygen changes

        * ace/Process_Semaphore.cpp:
          Use ACE_UNUSED_ARG

Mon Oct 22 18:57:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/POSIX_Asynch_IO.h:
        * ace/RW_Process_Mutex.h:
        * ace/SOCK_Acceptor.h:
        * ace/SOCK_Dgram.h:
        * ace/SOCK_IO.h:
        * ace/SOCK_SEQPACK_Acceptor.h:
        * ace/SOCK_SEQPACK_Association.h:
        * ace/SPIPE_Connector.h:
        * ace/Task.h:
        * ace/Thread.h:
        * ace/Thread_Hook.h:
        * ace/TLI_Connector.h:
        * ace/UPIPE_Connector.h:
        * ace/UPIPE_Stream.h:
        * ace/XTI_ATM_Mcast.h:
          Doxygen changes

Mon Oct 22 18:53:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_Connector.{h,cpp}:
          Use bool instead of int for all the flags

        * ace/Asynch_IO_Impl.h:
        * ace/Asynch_Pseudo_Task.h:
        * ace/ATM_Connector.h:
        * ace/Configuration.h:
        * ace/ATM_Params.h:
        * ace/Connection_Recycling_Strategy.h:
        * ace/Connector.h:
        * ace/Countdown_Time.h:
        * ace/DEV_Connector.h:
        * ace/FILE_Connector.h:
        * ace/File_Lock.h:
        * ace/Free_List.h:
        * ace/Logging_Strategy.h:
        * ace/MEM_IO.h:
        * ace/Mem_Map.h:
        * ace/MEM_SAP.h:
        * ace/MEM_Stream.h:
        * ace/Module.h:
          Doxygen changes

        * ace/config-unixware-2.01-g++.h:
        * ace/config-unixware-2.1.2-g++.h:
          Deleted, we don't support unixware already for a long time

        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/config-vxworks6.4.h:
          Added ACE_HAS_VXTHREADS as new define which is used when
          we use the VxWorks specific threading model instead of pthread

        * ace/config-vxworks6.4.h:
          Improved VxWorks 6.4 support

Mon Oct 22 12:25:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3102_Regression_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:
          New test for bugzilla 3102

Sun Oct 21 03:43:13 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * THANKS: added Venkat Sidhabathuni <venkats at idengines dot com>

Fri Oct 19 21:56:11 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Config_Test.cpp: Don't attempt the persistent heap-based
          test if the platform doesn't have memory-mapped file capability.

        * tests/run_test.lst: Don't try UnloadLibACE on LabVIEW RT - the
          platform has special needs to run tests that are taken care of by
          trickery in MPC and the ACE_TMAIN setup. UnloadLibACE is a
          specialized test that doesn't use the usuall facilities so doesn't
          play well in the LabVIEW RT test environment.

Fri Oct 19 21:34:01 UTC 2007  Steve Huston  <shuston@riverace.com>

        * examples/APG/Reactor/HAStatus-AC.cpp: Set accepted connections into
          nonblocking mode so the checks for EWOULDBLOCK when sending data
          are meaningful. Thanks to Johnny Willemsen for noticing this.

Fri Oct 19 16:00:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * bin/tao_other_tests.lst:
        * bin/tao_orb_tests.lst:

          Update for Lynxos 4.2.

Fri Oct 19 10:28:02 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Priority_Reactor.{h,cpp}: Revised the build_bucket() method
          to fix some bugs when trying to remove non-existent event
          handlers.  Thanks to Alex Solan <alex dot solan at gmail dot
          com> for reporting this.

Thu Oct 18 22:04:28 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/msvc_static_order.lst:

          Added a few projects to the static order, this is necessary due
          to the update of CIAO tutorial I committed today. This will
          avoid a build problem for WinXP_VC71_CIAOCore_Static_Debug build.

Thu Oct 18 10:08:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Thread_Exit.{h,cpp}:
          Changed is_constructed_ flag to a real bool

        * ace/IPC_SAP.cpp:
          Updated some defines in comments

        * ace/config-openbsd.h:
        * ace/config-linux-common.h:
          Removed some commented out defines

        * ace/Select_Reactor_Base.h:
          Layout changes

Wed Oct 17 16:03:19 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/msvc_static_order.lst:

          Added a few projects to the static order list to resolve
          problems on WinXP_VC71_CIAOCore_Static_Debug build.

Wed Oct 17 14:00:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * tests/Signal_Test.cpp:
        * tests/run_tests.lst:
        * tests/run_tests.pl:

          Have to reduce the number of iterations of the test for LynxOS
          otherwise it grossly timesout during automatic testing.

          Add correct parameter processing for tasks being run with parameters.

Wed Oct 17 12:00:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * tests/Log_Msg_Test.cpp:
        * tests/run_tests.lst:

          Update for Lynxos 4.2.

Tue Oct 16 16:22:26 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_string.cpp (strerror): Fix to pass correct error value to
          strerror_s in the ACE_HAS_TR24731_2005_CRT case (VC8+ at least).
          Thank you to Pavel Zaichenko for this fix.

Mon Oct 15 14:05:00 UTC 2007  Simon Massey  <simon.massey@prismtech.com>

        * ace/ACE.cpp:
        * ace/config-lynxos.h:
        * ace/os_include/sys/os_resource.h:

          Add #define ACE_LACKS_RLIMIT_NOFILE processing for Lynxos.

Fri Oct 12 21:28:34 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/CDR_Stream.h: Fix the replace() method's comments to be included
          in Doxygen output; expanded the description and included an example
          for how to use replace().

Fri Oct 12 20:08:02 UTC 2007  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.common.GNU: Mark __prebuild__ .PHONY so
          users with hand-made Makefiles, or those generated with older MPC
          versions, will work correctly without the MPC-inserted __prebuild__
          target.

Fri Oct 12 09:18:06 UTC 2007  Ossama Othman  <ossama_othman at symantec.com>

        * tests/Reactor_Timer_Test.cpp:

          Renamed global "count" variable to "the_count" to disambiguate
          it from the VxWorks STL "count" function.  Thanks to Johnny for
          suggesting where the problem actually lied.

Thu Oct 11 12:22:57 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Gr�gor Boirie <gregor dot boirie at free dot fr>

Wed Oct 10 11:33:40 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Sendfile_Test.cpp: Fix compile error on AIX.

Tue Oct  9 23:33:27 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/ace_tests.lst: Disable WFMO tests and HTBP tests on LabVIEW_RT.
          LabVIEW_RT lacks Winsock 2 stuff needed for the WMFO tests, and the
          HTBP test scripts aren't converted to work on LabVIEW RT.

        * tests/MT_Reactor_Upcall_Test.cpp:
        * tests/Reactor_Dispatch_Order_Test.cpp:
        * tests/Reactor_Registration_Test.cpp: Test ACE_WFMO_Reactor if
          ACE_HAS_WINSOCK2 != 0, not if == 0.

        * tests/Sendfile_Test.cpp: Remove ACE_ASSERTs; correct some logging.

        * tests/run_test.lst: Disable Env_Value_Test, Dirent_Test, and
          Multicast_Test on LabVIEW RT. LabVIEW_RT doesn't have env variables,
          the Dirent_Test expects too much of the build machine's directory
          structure to be available, and LabVIEW_RT lacks Winsock 2 and mcast.

Mon Oct  8 17:59:15 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Atomic_Op_T.h:

          Untabified, and nuked trailing whitespace.

        * tests/Reactor_Timer_Test.cpp:

          Include "ace/Log_Msg.h" to pull in ACE logging macros.

Sun Oct  7 18:52:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_IO_Impl.h
        * ace/CDR_Stream.h
        * ace/FILE.h
        * ace/FILE_IO.h
        * ace/MEM_IO.h
        * ace/Pipe.h
        * ace/POSIX_Asynch_IO.h
        * ace/Shared_Memory_Pool.h
        * ace/SOCK_SEQPACK_Association.h
        * ace/Svc_Handler.h
        * ace/Synch_Options.h
        * ace/Task.h
        * ace/Thread.h
        * ace/Thread_Manager.h
        * ace/WIN32_Asynch_IO.h
          Doxygen improvements

Sat Oct  6 17:55:09 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * examples/Reactor/TP_Reactor/ReadHandler.cpp:
        * examples/Reactor/TP_Reactor/AcceptHandler.cpp:
        * examples/Reactor/WFMO_Reactor/Prerun_State_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/APC.cpp:
        * examples/Reactor/WFMO_Reactor/Registration.cpp:
        * examples/Reactor/WFMO_Reactor/Console_Input.cpp:
        * examples/Reactor/WFMO_Reactor/Directory_Changes.cpp:

          Include "ace/Log_Msg.h" to pull in ACE logging macros.

Fri Oct  5 18:45:48 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/Atomic_Op_T.inl (ACE_Atomic_Op_Ex, operator=):

          Implement the assignment operator in terms of the copy
          constructor, not the other way around.  This (1) allows one less
          lock to be held during copy construction, (2) allows for finer
          grained locking during copy assignment, and (3) allows the
          copy assignment operator to be implemented in a strongly
          exception safe manner.

          (operator==, operator>=, operator>, operator<=, operator<):
          (value):

          Removed casts that removed const-ness of the mutex_ member.
          They aren't necessary in this case.

        * ace/Atomic_Op_T.cpp:

          Only include "ace/Log_Msg.h" if ACE_HAS_DUMP is defined.  It
          isn't needed otherwise.

        From Russell Mora
        * ace/Atomic_Op_T.h:
        * ace/Atomic_Op_T.inl:
        * ace/Atomic_Op_T.cpp:

          Parameterized argument types using type traits.  Avoids warnings
          about references being taken of temporaries for built-in types.

Fri Oct  5 12:20:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * ace/config-lynxos.h:

          Updated for 4.0 -> 4.2.

Wed Oct  3 19:31:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Acceptor.cpp
        * ace/Acceptor.h
        * ace/ATM_Connector.h
        * ace/Cached_Connect_Strategy_T.h
        * ace/Caching_Strategies_T.h
        * ace/Caching_Strategies_T.inl
        * ace/Connector.cpp
        * ace/Connector.h
        * ace/Countdown_Time.h
        * ace/DEV_Connector.h
        * ace/Dev_Poll_Reactor.cpp
        * ace/Dev_Poll_Reactor.h
        * ace/Dirent.h
        * ace/Event_Handler.h
        * ace/FILE_Connector.h
        * ace/Future.h
        * ace/Future_Set.cpp
        * ace/Future_Set.h
        * ace/Handle_Set.h
        * ace/Hash_Map_Manager_T.h
        * ace/Local_Name_Space.cpp
        * ace/Local_Name_Space.h
        * ace/Lock_Adapter_T.cpp
        * ace/Lock_Adapter_T.h
        * ace/Lock_Adapter_T.inl
        * ace/Message_Queue_T.h
        * ace/NT_Service.h
        * ace/OS_NS_sys_socket.h
        * ace/Proactor.cpp
        * ace/Proactor.h
        * ace/RB_Tree.h
        * ace/Service_Repository.cpp
        * ace/Service_Repository.h
        * ace/SOCK_Acceptor.h
        * ace/SOCK_Dgram.h
        * ace/SOCK_Dgram_Mcast.h
        * ace/SOCK_SEQPACK_Acceptor.h
        * ace/SPIPE_Connector.h
        * ace/Strategies_T.cpp
        * ace/Strategies_T.h
        * ace/Svc_Handler.h
        * ace/Task_Ex_T.cpp
        * ace/Task_Ex_T.h
        * ace/Task_Ex_T.inl
        * ace/Task_T.cpp
        * ace/Task_T.h
        * ace/Task_T.inl
        * ace/Thread_Control.h
        * ace/Thread_Manager.cpp
        * ace/Thread_Manager.h
        * ace/Thread_Mutex.h
        * ace/Timeprobe_T.h
        * ace/Timer_Hash_T.h
        * ace/Timer_Queue_T.h
        * ace/TLI_Connector.h
        * ace/WFMO_Reactor.cpp
        * ace/WFMO_Reactor.h
        * ace/WFMO_Reactor.inl
        * ace/XTI_ATM_Mcast.h
          Doxygen improvements, small cleanups and bool changes

Tue Oct  2 17:06:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_IO_Impl.h
        * ace/config-macosx-tiger.h
        * ace/Dev_Poll_Reactor.h
        * ace/Message_Queue.h
        * ace/Message_Queue.inl
        * ace/Message_Queue_T.cpp
        * ace/Message_Queue_T.h
        * ace/Message_Queue_Vx.cpp
        * ace/Message_Queue_Vx.h
        * ace/Msg_WFMO_Reactor.h
        * ace/Notification_Strategy.h
        * ace/NT_Service.h
        * ace/Object_Manager.h
        * ace/Object_Manager_Base.h
        * ace/POSIX_Asynch_IO.h
        * ace/POSIX_CB_Proactor.h
        * ace/POSIX_Proactor.h
        * ace/Proactor.h
        * ace/Process.cpp
        * ace/Process.h
        * ace/Process.inl
        * ace/Process_Manager.cpp
        * ace/Process_Manager.h
        * ace/Process_Semaphore.cpp
        * ace/Process_Semaphore.h
        * ace/Reactor.h
        * ace/Reactor_Impl.h
        * ace/SOCK_Connector.h
        * ace/WFMO_Reactor.h
          Doxygen improvements, small cleanups and bool changes

Mon Oct  1 15:06:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release.py:
          Added generation of vc8 static solution files

        * ace/Argv_Type_Converter.cpp
        * ace/Argv_Type_Converter.h
        * ace/Argv_Type_Converter.inl
        * ace/ATM_Params.h
        * ace/CDR_Stream.cpp
        * ace/DEV_IO.h
        * ace/INET_Addr.h
        * ace/LSOCK_Connector.h
        * ace/Message_Block.h
        * ace/Multihomed_INET_Addr.h
        * ace/Reactor_Notification_Strategy.h
        * ace/SOCK_Dgram_Mcast.h
        * ace/Timer_Queue_Adapters.cpp
        * ace/Timer_Queue_Adapters.h
        * ace/TP_Reactor.h
        * ace/WIN32_Proactor.cpp
        * ace/WIN32_Proactor.h
          Doxygen, const, and bool improvements

        * ace/Multiplexor.cpp
        * ace/Multiplexor.h
        * ace/Multiplexor.inl
          Removed, not implemented for years now

Mon Oct  1 13:39:29 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_Thread.h:
          Final fix (and code cleanup) for bug #3074.

Fri Sep 28 06:12:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_common.GNU:
          Added nptl=0|1 to disable/enable nptl support through the
          platform_macros.GNU file

Thu Sep 27 16:29:19 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/ProcessLVRT.pm: Try to clean some files off the target
          on a few more failure cases.

Thu Sep 27 13:06:29 UTC 2007  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Timer_Hash_T.cpp:
          Fix for a warning on Win2003_VC71_Inline_MFC build.

Wed Sep 26 17:56:02 GMT 2007  Rich Seibel <seibel_r@ociweb.com>

        * bin/add_rel_links.sh:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Make the symlinks in ACE_wrappers/lib be relative rather
          than absolute.

Wed Sep 26 16:51:47 UTC 2007  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Timer_Hash_T.h:
        * ace/Timer_Hash_T.cpp:
        * tests/Timer_Queue_Reference_Counting_Test.cpp:
          Another attempt to fix the memory leak in ACE_Timer_Hash_T.
          Now the solution is very similar to what was done in
          ACE_Timer_Queue_T for memory management of ACE_Timer_Node_T.
          So, it's not worse than what is already in the code base.
          Now also it's important to cancel all valid timers before the
          timer queue is destroyed otherwise a memory leak will occur.
          In short it means if you called schedule at the beginning then
          don't forget to call cancel at the end.

Wed Sep 26 09:34:29 UTC 2007  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Timer_Hash_T.h:
        * ace/Timer_Hash_T.cpp:
          Back out a fix for one of the leaks fixed before. The solution
          was not perfect.

Wed Sep 26 08:37:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Corrected incorrect Sun Studio version check

Wed Sep 26 08:16:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Changes for Sun Studio 12

Tue Sep 25 15:55:21 UTC 2007  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Timer_Hash_T.h:
        * ace/Timer_Hash_T.cpp:
        * tests/Timer_Queue_Reference_Counting_Test.cpp:
          An attempt to fix the memory leaks in tests/Timer_Queue_Test.cpp
          and tests/Timer_Queue_Reference_Counting_Test.cpp.

Tue Sep 25 15:22:15 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_ctype.h:
        * ace/OS_NS_ctype.inl:

          Implement a slightly dumb version of ace_towlower when towlower is
          not available from the system libraries.  Previously, ace_towlower
          would not be available if ACE_LACKS_TOWLOWER was defined.

        * ace/OS_NS_string.cpp:

          Replaced the ACE_OS::strtok_r_emulation() implementation, when
          ACE_HAS_WCHAR and ACE_LACKS_WCSTOK are defined, with a public
          domain implementation (converted to work with wide characters and
          c++).  It did not compile as previously implemented.

Mon Sep 24 18:58:01 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/ATM_Acceptor.inl:
        * ace/IOStream_T.inl:
        * ace/OS_NS_dlfcn.inl:
        * ace/OS_NS_netdb.inl:
        * ace/OS_NS_sys_mman.inl:
        * ace/OS_NS_sys_stat.inl:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS functions
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Mon Sep 24 18:44:08 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/OS_NS_unistd.inl (swab):

          Added missing copyright notice for swab() implementation in
          "ACE_LACKS_SWAB" block of code.  That implementation falls under
          the BSD license.

Mon Sep 24 15:51:14 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/ProcessLVRT.pm: Clarify that the Net-Telnet Perl module
          is required to use this module.

Mon Sep 24 07:47:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/README:
        * ace/TSS_T.h:
          Removed ACE_HAS_BROKEN_CONVERSIONS usage

Sat Sep 22 13:39:35 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-11.00.h: Removed ACE_HAS_BROKEN_CONVERSIONS; thanks
          to Johnny for noticing this isn't needed anymore. Also cleaned up
          some comments that still referred to HP C++ rather than aC++.

Fri Sep 21 19:00:43 UTC 2007  Dale Wilson  <wilsond@ociweb.com>

        * ace/OS_NS_Thread.h:
          Olli reports that the change to OS_NS_Thread.h causes
          a test failure on LynxOS. (Bug #3074)
          Since the change isn't critical -- the config-win32-common.h
          change was the real fix to the problem -- I'm reverting this file.

Fri Sep 21 18:59:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-11.00.h:
          Removed defining of __HP_aCC when it is not defined yet

Fri Sep 21 16:34:47 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/Hash_Cache_Map_Manager_T.cpp:
        * ace/Log_Msg.cpp:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_stdio.inl:
        * ace/OS_NS_sys_mman.inl:
        * ace/OS_NS_sys_socket.inl:
        * ace/OS_NS_unistd.inl:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS functions
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Fri Sep 21 17:19:52 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/INET_Addr.cpp (get_host_name_i):

          Removed const qualifiers.  The variables in question do get
          reassigned.

Fri Sep 21 09:32:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Reactor_Exceptions_Test.cpp:
          Updated this test to not derive from ACE_Reactor, that is not
          possible anymore. Fixes the failing of this test on our
          build systems

Fri Sep 21 09:30:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:
          Added another specialization for BCB

Fri Sep 21 09:05:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:
          Added needed specialization for BCB

        * ace/Reactor.{h,cpp}:
          Changed delete_reactor and delete_implementation flags to bool

Fri Sep 21 05:46:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Makefile.am:
        * tests/run_test.lst:
        * tests/tests.mpc:
          Updated for UUIDTest rename

Thu Sep 20 23:58:15 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * ace/ACE.cpp:

          Simplified message block chunk length truncation code by taking
          advantage of ACE_Utils::truncate_cast<>.

        * ace/Guard_T.inl (ACE_Guard):

          Removed unnecessary use of ACE_UNUSED_ARG macro.  Comment out
          the parameter name instead.

        * ace/Service_Config.cpp:

          Minor const-correctness and loop increment improvements.

        * ace/Service_Gestalt.cpp:

          Replaced ACE_NEW_NORETURN() followed explicit by zero pointer
          check with ACE_NEW_RETURN().

        * ace/Service_Types.cpp:

          Removed some leading whitespace.

        * ace/Time_Value.h (msec):
        * ace/Time_Value.inl (msec):

          Enabled 64-bit version of this accessor method on all
          platforms.

        * ace/Timer_Hash_T.cpp (reschedule, schedule_i):
        * ace/Timer_Hash_T.h:

          Use a straight static_cast<> instead of
          ACE_Utils::truncate_cast<> when computing the hash value.  The
          former will provide more unique results when the number of
          seconds is greater than std::numeric_limits<size_t>::max().

          (reset_interval):

          Don't bother grabbing the lock until a class member is actually
          accessed.

          (is_empty):

          Return a bool instead of an int.  The former better reflects how
          the return value should be interpreted.

        * ace/Timer_Heap_T.cpp (ACE_HEAP_PARENT, ACE_HEAP_LCHILD):

          Converted these macros to inline functions.  Nice and clean.

          (ACE_Timer_Heap_T, grow_heap):
          Replaced calls to std::numeric_limits<>::max() with
          ACE_Numeric_Limits<>::max() to allow removal of "ifndef
          ACE_LACKS_NUMERIC_LIMITS" block of code.

          (cancel):

          Moved zero initialized local variable out of lock scope.

        * ace/Timer_Heap_T.h (isdone, is_empty):
        * ace/Timer_List_T.cpp:
        * ace/Timer_List_T.h:
        * ace/Timer_Queue_T.h:
        * ace/Timer_Wheel_T.cpp:
        * ace/Timer_Wheel_T.h:

          Return a bool instead of an int.  The former better reflects how
          the return value should be interpreted.

        * tests/Config_Test.cpp:

          Addressed type conversion warnings.

        From Russell Mora
        * ace/INET_Addr.cpp (get_hostname_i, set_address):
        * ace/README:
        * ace/config-hpux-11.00.h:
        * ace/config-sunos5.8.h:
        * ace/config-tru64.h:
        * ace/config-win32.h:

          Some platforms don't convert IPv6-mapped-IPv4 addrs to IPv4
          addrs when passed to gethostbyaddr(), even though it is in the
          stardard.  This code will do it for them.

          When mapping IPv4 addresses to IPv6-mapped-IPv4 addresses don't
          just convert INADDR_LOOPBACK to in6addr_loopback - this won't
          work (i.e. IPv4 clients will not be able to connect to it).

          The ip4 variable will be in network-byte-order (either because
          we converted it or it was passed in already in
          network-byte-order) so make sure we convert it back to
          host-byte-order before doing any comparisons.

        * ace/OS_NS_Thread.cpp (thread_exit):

          Zero out TSS values in ACE_OS::cleanup_tss().  This avoids
          getting back dangling pointers if ACE TSS is used again after
          the cleanup call.

Thu Sep 20 21:22:30 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/UUID.cpp:

          Fixed typos.

Fri Sep 14 00:36:43 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/UUID.cpp: Changed the case of the clock_sequence from u_char
          to ACE_UINT16 to avoid duplicate UUIDs.  Thanks to wim dot van
          dot den dot boogaard at varianinc dot com for reporting this.

Thu Sep 13 17:57:31 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Mutex.h: Updated the document for ACE_Mutex to indicate that
          ACE_Process_Mutex or ACE_Thread_Mutex is preferred.  Thanks to
          Nathan Glasser <nglasser at cantata dot com>

Tue Sep 11 15:24:43 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/ACE-bug-process.html: Clarified bug fixing policies.  Thanks to
          Torsten Saliwada <sally at gmx dot net> for motivating this.

Mon Sep  3 18:54:54 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * NEWS: Updated the NEWS file to reflect the recent changes to the UUID class.

Mon Sep  3 14:54:55 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * protocols/ace/HTBP/HTBP_ID_Requestor.cpp (get_HTID):
        * tests/UUID_Test.cpp (test): Updated to use the new "ACE-ified"
          UUDI interface.

Mon Sep  3 12:53:49 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/UUID.{h,inl,cpp}: Converted this code to use ACE programming
          conventions for naming.

Mon Sep  3 12:37:44 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/UUID.{h,inl,cpp}:
          Implemented an accessor to obtain the timestamp and
          clockSequence in an atomic manner. The clockSequence could
          change between the moment the timestamp is obtained and the
          moment the clockSequence is used in a multithreaded environment
          and that results in duplicate UUIDs.  Thanks to Wim van den
          Boogaard <wim dot van dot den dot boogaard at varianinc dot com>
          for contributing this.

Thu Sep 20 18:49:27 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * include/makeinclude/platform_g++_common.GNU:
          Enhance rules to detect FC6 explicitly. The prior rules didn't
          work under my FC6 distrubtion.

Thu Sep 20 17:12:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS2/JAWS/IO_Handler.cpp:
          Added needed include for closesocket

Thu Sep 20 12:56:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Reactor.{cpp,inl}:
          Made all non virtual single line methods inline methods to gain
          performance and reduce footprint

        * ace/Dev_Poll_Reactor.h:
        * ace/File_Lock.h:
        * ace/FlReactor/FlReactor.h:
        * ace/FoxReactor/FoxReactor.h:
        * ace/OS_NS_unistd.h:
        * ace/Proactor.h:
        * ace/QtReactor/QtReactor.h:
        * ace/Reactor.h:
        * ace/Reactor_Impl.h:
        * ace/Select_Reactor_T.h:
        * ace/TkReactor/TkReactor.h:
        * ace/WFMO_Reactor.h:
        * ace/XtReactor/XtReactor.h:
          Fixed doxygen warnings

Thu Sep 20 08:58:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dynamic_Message_Strategy.{h,cpp,inl}:
        * ace/Message_Block.{h,cpp,inl}:
        * ace/Message_Queue_T.h:
        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
        * ace/Makefile.am:
          Moved ACE_Dynamic_Message_Strategy to its own file to reduce footprint
          for applications that don't use it. Fixes bugzilla 2998

Thu Sep 20 08:05:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS2/JAWS/IO_Handler.cpp:
          Use closesocket to close the socket, to prevent a leak on windows.
          This fixes bugzilla 1124, thanks to Alain Totouom
          <atotouom at gmx dot de> for reporting this.

        * ace/OS_NS_sys_socket.h:
          Doxygen improvement

Thu Sep 20 07:56:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Based_Pointer_T.{h,inl}:
          Let the operator* and operator[] return a & so that we don't make a
          copy. This fixes bugzilla 742, thanks to Pavel Zaichenko
          <zaichep at mail dot com> for reporting this

Thu Sep 20 07:24:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.{h,cpp,inl}:
          Added new inline file and moved several methods to that file. Fixes
          bugzilla 2364

        * ace/Makefile.am:
          Added new file

Thu Sep 20 06:59:15 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ATM_Params.h:
        * ace/Dev_Poll_Reactor.h:
        * ace/Event_Handler.h:
        * ace/Proactor.h:
        * ace/Reactor_Impl.h:
        * ace/Select_Reactor_T.h:
        * ace/Timer_Hash_T.cpp:
        * ace/Timer_Hash_T.h:
        * ace/Timer_Heap_T.cpp:
        * ace/Timer_Heap_T.h:
        * ace/Timer_List_T.h:
        * ace/Timer_Queue_T.h:
        * ace/Timer_Wheel_T.h:
        * ace/Timer_List_T.cpp:
          Doxygen improvements

        * ace/CDR_Stream.cpp:
        * ace/CDR_Stream.inl:
        * ace/Lib_Find.cpp:
          Const improvements

        * ace/config-ghs-common.h:
        * ace/config-irix6.5.x-sgic++.h:
        * ace/config-irix6.x-sgic++.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx-tiger.h:
        * ace/config-macosx.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/config-win32-dmc.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-interix.h:
          Removed ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION, we don't support that
          already a long time

        * ace/config-hpux-11.00.h:
          Removed support for ancient HP compilers that also required explicit template
          instantiations. Fixes bugzilla 3071

        * ace/config-sunos5.6.h:
          Removed undef of ACE_HAS_STL_QUEUE_CONFLICT, it is not set anywhere

        * ace/config-sunos5.7.h:
          Removed support for GCC 2.7.2

        * ace/Malloc.cpp (name):
        * ace/PI_Malloc.cpp (name):
          No need for intermediate variable

        * ace/os_include/os_semaphore.h:
        * ace/OS_NS_Thread.inl:
          Changed new_sema_ to a real bool

        * ace/Reactor.h:
          Only the methods derived from ACE_Reactor_Timer_Interface need to be virtual,
          all other methods don't need to be that. Next step would be to inline these
          methods.

        * ace/Sig_Handler.cpp:
        * ace/Sig_Handler.h:
        * ace/Timer_Hash_T.h:
        * ace/Timer_Heap_T.h:
        * ace/Timer_List_T.h:
        * ace/Timer_Queue_T.h:
        * ace/Timer_Wheel_T.h:
          Removed support for ACE_HAS_BROKEN_HPUX_TEMPLATES

        * ace/Timer_Queue_Adapters.cpp:
        * ace/Timer_Queue_Adapters.h:
        * ace/Timer_Queue_Adapters.inl:
          Changed delete_timer_queue to a real bool

        * ace/Timer_Hash.cpp:
        * ace/Timer_Heap.cpp:
        * ace/Timer_List.cpp:
        * ace/Timer_Wheel.cpp:
        * ace/Timer_Queue.cpp:
          Removed from the repo, they only existed because of a broken HP compiler.

        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
        * ace/Makefile.am:
          Updated for the removed files

        * etc/ace.doxygen:
          Use shortnames, fixes bugzilla 3069

        * bin/make_release.py:
          Use vc71 name modifier for the vc71 project files. Fixes bugzilla 2987

        * docs/bczar/bczar.html:
          Updated based on the steps of x.6.1

Wed Sep 19 04:10:15 CDT 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.6.1 released.

Tue Sep 18 11:05:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_common.GNU:
        * include/makeinclude/platform_linux_icc.GNU:
          Intel C++ needs a special ar tool when building statically

Mon Sep 17 15:51:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          When checking for ACE_LACKS_NAMED_POSIX_SEM, include errno.h when
          we have detected that this file is available. Hayim Shaul
          <hayim at iportent dot com> reported an autoconf log where this define
          was set because the test failed to compile because errno was not
          defined

Fri Sep 14 18:53:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/acetest.mpb:
        * tests/SSL/acetest.mpb:
          Don't use ACE_ROOT, causes problems with GNU make on windows when we build
          on a different drive then the autobuild system is located at

Fri Sep 14 09:47:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Base.{inl}:
          The swap_8 method was incorrect, there we use an EM64T instruction,
          use ACE_HAS_INTEL_ASSEMBLY in the swap_2 and swap_4 method

Fri Sep 14 04:51:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Base.{cpp.inl}:
          Don't use ACE_HAS_INTEL_ASSEMBLY, but just add EM64T, fixes problems
          with solaris and vxworks

        Revert this change, not needed

        Thu Sep 13 08:55:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
        * ace/config-sunos5.5.h:
          Don't use ACE_HAS_INTEL_ASSEMBLY with GCC

Thu Sep 13 15:49:45 UTC 2007  Dale Wilson  <wilsond@ociweb.com>

        * NEWS:
          Added description of ACE_DEFAULT_THREAD_KEYS change.

Thu Sep 13 15:34:15 UTC 2007  Dale Wilson  <wilsond@ociweb.com>

        * ace/OS_NS_Thread.h:
        * ace/config-win32-common.h:
          Base the definiton of ACE_DEFAULT_THREAD_KEYS on the
          Windows version rather than using the misleading
          TLS_MINIMUM_AVAILABLE
          Move the check to see if _WIN32_WINNT is defined
          until *after* windows.h is included (directly or indirectly)

Thu Sep 13 15:17:28 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/ATM_Stream.cpp:
        * ace/Lib_Find.cpp:
        * ace/Metrics_Cache_T.cpp:
        * ace/Process_Mutex.cpp:
        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.cpp:
        * ace/Service_Manager.cpp:
        * ace/Throughput_Stats.cpp:
        * ace/Timeprobe_T.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS functions
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Thu Sep 13 08:55:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.5.h:
          Don't use ACE_HAS_INTEL_ASSEMBLY with GCC

Wed Sep 12 18:02:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          CodeGear RAD Studio 2007 doesn't seem to support inlined assembly

        * ace/config-g++-common.h:
        * ace/config-icc-common.h:
          When we have pentium, AMD64, or EM64T as CPU define
          ACE_HAS_INTEL_ASSEMBLY

        * ace/Atomic_Op.h:
          Simplified this file by using ACE_HAS_INTEL_ASSEMBLY

        * ace/CDR_Base.{cpp.inl}:
          Make use of ACE_HAS_INTEL_ASSEMBLY, this fixes bugzilla
          issue 3072

        * ace/WFMO_Reactor.h:
          Doxygen fixes

Wed Sep 12 04:16:12 UTC 2007  Adam Mitz  <mitza@ociweb.com>

        * ACE-INSTALL.html:

          Added notes on Microsoft Visual C++ 2005 Express Edition.

Tue Sep 11 15:50:35 UTC 2007  Nishanth Shankaran  <nshankar@nospam.com>

        * ace/Sample_History.cpp: Fixed formatting errors in the
          dump_samples method.

Tue Sep 11 11:38:38 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated supported platforms

Mon Sep 10 13:22:38 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * apps/JAWS/stress_testing/util.cpp:
        * apps/drwho/Multicast_Manager.cpp:
        * apps/drwho/Options.cpp:
        * bin/LabVIEW_RT/labview_test_controller/labview_test_controller.cpp:
        * bin/LabVIEW_RT/labview_test_controller/test.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS functions
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

Mon Sep 10 12:17:24 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
          Add timeouts to recv_n and send_n calls to ensure the calling
          loops always exit.

          This is necessary due to certain races that can occur between
          the start up of new send/recv threads, and the shutdown of
          individual thread loops. What sometimes happens is that a thread
          is started to read from a socket, and then a different thread
          closes down the read-side of the socket. But due to thread
          startup delays, the send side never gets to the point where it
          detects the close, effectively leaving a half-closed connection.

          In this case, on "weevil" a Windows 2003 server, the thread
          blocked in recv on the half closed socket is not killed by the
          nightly test script's shutdown signal, leaving a zombie
          process. This zombie holds a lock on the libACE.dll file, which
          then cannot be rebuilt, and as a result, subsequent nightly
          builds fail catastrophically.

Mon Sep 10 11:19:20 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Remove TAO/docs directory from the list of excluded
          directories for the tabs check.

Fri Sep  7 19:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/index.html:
          Added links for older versions

Fri Sep  7 11:45:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/doxygen.css:
        * etc/index.html:
          Put the files published online at http://www.dre.vanderbilt.edu/Doxygen/
          under version control

Thu Sep  6 22:59:24 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:
          Remove TAO/utils directory from the list of excluded
          directories for the tabs check.

Thu Sep  6 18:28:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Make use of the new inline assembly feature of the upcoming CodeGear C++
          compiler

Thu Sep  6 18:53:06 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/run_test.lst:

          Added the SSL_Asynch_Stream_Test and
          Thread_Pool_Reactor_SSL_Test to the list of tests to run.  The
          run_test.pl script now supports log files for test binaries in
          subdirectories.  [Bug 2985]

Thu Sep  6 18:41:36 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * bin/fuzz.pl:

          Nuked trailing whitespace.

        * tests/run_test.pl (check_log):

          Support logs generated by tests in subdirectories, such as tests
          found in the SSL subdirectory.

Thu Sep  6 15:33:15 UTC 2007  Friedhelm Wolf  <fwolf@dre.vanderbilt.edu>

        * docs/ACE-guidelines.html
          Add guidelines about doxygen comments

Thu Sep  6 14:41:50 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/WIN32_Asynch_IO.cpp (open): Update the win32_proactor_
          pointer so it's in synch after a call to open().  Thanks to
          Erman Balcik <erman dot balcik at siemens dot com> for
          contributing this.

Thu Sep  6 12:12:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Synch-Benchmarks/run_tests.pl:
          Fixed typo

Thu Sep  6 12:09:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          Added md5sum steps

Thu Sep  6 09:27:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Doxyen fix

Thu Sep  6 00:13:48 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/run_test.lst:

          Updated location of Bug_2912_Regression test.

Wed Sep  5 23:40:15 UTC 2007  Ossama Othman  <ossama_othman at symantec dot com>

        * tests/Bug_2912_Regression_Test.cpp:
        * tests/tests.mpc:
        * tests/SSL/tests.mpc:

          Moved Bug_2912_Regression test to the SSL subdirectory.  It is
          an SSL related test.

        * tests/Naming_Test.cpp:
        * tests/Test_Output.cpp (randomize):
        * tests/Timer_Queue_Test.cpp:
        * tests/randomize.h (randomize):
        * tests/test_config.h:

          Refactored test array element order randomization code to a
          generic function template that can be leveraged by all tests.
          In the process of refactoring the code, also corrected problem
          where only the first half of the array elements were
          randomized.

        * tests/Reactor_Remove_Resume_Test.cpp (run_main):

          Fixed typo in factory count calculation.

        * tests/Test_Output.cpp:

          Addressed some Coverity errors.

Tue Sep  4 14:39:11 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:
          Remove the CIAO directory from the list of excluded
          directories for the tabs check.

Mon Sep 03 12:04:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/bczar/bczar.html:
          Extended instructions

        * docs/Download.html:
          Updated download locations for latest release which is not x.6

Mon Sep 03 02:50:30 CDT 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.6 released.

Thu Aug 30 17:23:21 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/LabVIEW_RT/labview_test_controller/stdafx.cpp:
        * bin/LabVIEW_RT/labview_test_controller/stdafx.h:
        * bin/LabVIEW_RT/labview_test_controller/test.cpp:
        * bin/LabVIEW_RT/labview_test_controller/labview_test_controller.cpp:
          Fixed Fuxx errors.

Thu Aug 30 17:05:00 UTC 2007  Steve Huston  <shuston@riverace.com>

        * protocols/tests/HTBP/ping/client.cpp: Reverted the addition of
          specific AF_INET address family. Since the server and client are
          both doing specific name lookup, they'll both get the same IP
          address and family, so we need not try to force one. Also added
          more logging of the address and port to connect to.

        * protocols/tests/HTBP/ping/server.cpp: Log the listening IP/port.

Thu Aug 30 16:34:06 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/MakeProjectCreator/config/labviewrt_dll.mpb: A base that
          is used with LabVIEW RT-target builds to change all the builds
          for executables to build a DLL instead. This is needed for LabVIEW
          RT w/ Phar Lap ETS. Please see bin/LabVIEW_RT/README for info.

        * bin/LabVIEW_RT/README: Added a note about labviewrt_dll.mpb's use.

Thu Aug 30 07:06:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
          Added rules to detect FC6 explicitly

Thu Aug 30 03:41:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
          FC6 and FC5 have exact the same GCC version, FC5 doesn't need the
          workaround, FC6 does. Disabled the check for this specific RedHat
          GCC version. FC6 users have to manually set
          ACE_GCC_HAS_TEMPLATE_INSTANTIATION_VISIBILITY_ATTRS to 1

Wed Aug 29 23:36:52 UTC 2007  Steve Huston  <shuston@riverace.com>

        * protocols/tests/HTBP/Reactor_Tests/server.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:
        * protocols/tests/HTBP/ping/server.cpp:
          Listen at the IP address represented by the hostname, not "any".
          Matches what the client is going to do when looking up the host
          to connect to. Of particular interest is getting the IP address
          families to be the same for server and client on IPv6-capable
          systems. Thanks to Phil Mesnier for these patches.

Wed Aug 29 22:53:57 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/LabVIEW_RT: A directory of information and utilities useful
          for running ACE+TAO tests on LabVIEW RT / Phar Lap ETS targets.
          See the README file in that directory for more information.

        * docs/svn/config:
        * docs/svn/svn-prefs.reg: Add .ini as a text-type known file type.

Wed Aug 29 18:55:33 UTC 2007  Steve Huston  <shuston@riverace.com>

        * protocols/tests/HTBP/ping/client.cpp: Explicitly set AF_INET on the
          address to connect to the server on. Fixes fails on IPv6 builds.
          Thanks to Phil Mesnier for diagnosing this problem.
          Also fixed logging conversions where needed for 64-bit and wide-char.

Wed Aug 29 18:21:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix_g++.GNU:
          Another try, if this doesn't work I revert all changes from last wek

Wed Aug 29 18:02:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
          Detect the RedHat GCC compilers that need to have
          ACE_GCC_HAS_TEMPLATE_INSTANTIATION_VISIBILITY_ATTRS defined to 1.
          If we detect that, add CE_GCC_HAS_TEMPLATE_INSTANTIATION_VISIBILITY_ATTRS=1
          to the compiler flags

Wed Aug 29 15:09:17 UTC 2007  Steve Huston  <shuston@riverace.com>

        * NEWS: Add note about LabVIEW RT/Pharlap ETS port.

Wed Aug 29 08:33:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/cut_cidlc.sh:
          Put this script under version control, it is used to cut the cidlc
          release binaries

        * docs/bczar/bczar.html:
          Added cut_cidlc.sh as last step of the release instructions

        * include/makeinclude/platform_aix_g++.GNU:
          Made another few changes to resolve the new link errors

Tue Aug 28 08:43:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix_g++.GNU:
          Improved this file, thanks to Werner Buchert <w dot buchert at medat dot de>
          for testing these changes

Mon Aug 27 07:55:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
        * ace/Makefile.am:
          Added missing Select_Reactor.h, thanks to Vikram Karandikar
          <softking at gmail dot com> for reporting this

Sat Aug 25 12:57:30 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/PerlACE/ProcessLVRT.pm: New class that integrates running a
          test on a LabVIEW RT Pharlap ETS target. This requires the Perl
          Net-Telnet.

        * bin/PerlACE/TestTarget.pm: The new TestTarget class is for test
          operations that are per-target, such as creating a local file path,
          deleting a file on the target, waiting for a file, creating a
          process, and getting the standard error log. In the default case,
          these all do the usual PerlACE functions currently in use. However,
          you can derive a class from this to do things differently. For
          example, on LabVIEW RT, creating a process really uses the
          ProcessLVRT module described above. Deleting a file uses FTP to
          delete it, etc.
          In this way, it's possible to customize the behaviors to a target
          without changing all the test scripts. The hitch is that the test
          script has to be changed once to instantiate the TestTarget object
          and then make method calls on it instead of calling PerlACE
          functions directly.

        * bin/TestTarget_LVRT.pm: Customization of TestTarget for LabVIEW RT.
          It requires the Net-Telnet Perl module to work. It's used when
          the TestTarget::create_target method is called and LabVIEW_RT is
          set in the test configuration.

        * tests/run_test.pl: Select ProcessLVRT when running a test with the
          LabVIEW_RT configuration.

Fri Aug 24 21:52:37 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/MMAP_Memoy_Pool.cpp (map_file): Reverted the "always do
          MAP_FIXED" flag on remapping a file from:
          Wed Aug 22 18:10:09 UTC 2007  Steve Huston  <shuston@riverace.com>
          That's an invalid thing to do, as it has the potential to remap
          pages from things like the heap or the C library or ACE into the
          mapped file - definitely not what we want. If the remap has to move
          the area, it's best to fail it here.

        * tests/Naming_Test.cpp: Correct logging formats and wedge in a base
          address for the name space's mmaped region. This avoids having to
          move the mapped area as it grows, which totally screws the name
          space map. RHEL4 x64 seems to be the only platform this is tested
          on regularly where this condition is hit.

Fri Aug 24 16:15:59 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/ace_tests.lst:
        * bin/tao_other_tests.lst:
          guard against running the HTBP and HTIOP tests on systems that
          do not build ACE_UUID, such as the compact builds.

Thu Aug 23 19:39:27 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/msvc_static_order.lst:
          Added some TAO projects to the list in an attempt to fix
          the WinXP_VC71_CIAOCore_Static_Debug build.

Thu Aug 23 15:07:01 UTC 2007  Steve Huston  <shuston@riverace.com>

        * configure.ac: Allow POSIX semaphores to be used with UI Threads
          (ala Solaris) if the functions are there.

Thu Aug 23 05:35:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Hash_Map_Manager_T.inl:
          Don't use ACE_LIB_TEXT, but ACE_TEXT

Wed Aug 22 22:31:00 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Signal_Test.cpp: When sigwait()-ing, restart the wait if
          interrupted by an uncaught signal. This happens on Solaris 9, for
          example, when a threading-related signals happen. Gets this test
          working correctly for Solaris 9.

Wed Aug 22 21:41:36 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/tests/HTBP/Send_Large_Msg/Send_Large_Msg.mpc:
        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/ping/server.cpp:

          Add a small sleep in the server right before closing the socket.
          This helps reduce the likelyhood that tests will fail on windows
          if the server happens to close before the client has read the
          last bit of data on the conection.

Wed Aug 22 21:28:38 UTC 2007  Steve Huston  <shuston@riverace.com>

        * bin/ace_tests.lst: Marked RMCast tests to only run if the RMCAST
          config is set. This effectively disables it everywhere pending some
          requested feedack from the ACE users community on usage.

Wed Aug 22 21:24:07 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Multicast_Test.cpp: Log the joined multicast groups.

        * tests/Multicast_Test_IPV6.cpp: Fixed string logging and a leak.

Wed Aug 22 19:59:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Added wall GNU make variable which is default set to 1, which then
          adds -Wall to the CFLAGS. This option results in a lot of warnings
          related dllimport which makes it not really usable, with GCC 4.x
          we can disable that warning, but not with GCC 3.4, so the user can
          set wall=0 to disable the usage of -Wall

Wed Aug 22 18:10:09 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/Hash_Map_Manager_T.inl (open): If open fails, include the
          error reason in the logged message.

        * ace/Hash_Map_Manager_T.h: Documentation improvements.

        * ace/Local_Name_Space_T.cpp: Corrected logging of pointers to use
          %@ instead of %d or %u.

        * ace/MMAP_Memory_Pool.cpp (map_file): When remapping a previous
          mapping, try to use MAP_FIXED unless the memory pool option
          NEVER_FIXED is also set. Resolves a problem of mapping to a
          different region when remapping an existing area on RHEL 4 x64.
          Also fixed logging of pointers and size_t to use %@ and %B.

Wed Aug 22 18:09:45 UTC 2007  Steve Huston  <shuston@riverace.com>

        * m4/compiler.m4: For AIX xlC and Solaris CC 4.2, always turn on
          RTTI support. ACE requires it, and for these compilers, the default
          is RTTI disabled. The previous code used the rtti-enabled flag
          which was removed at:
          Wed Aug 22 08:49:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

Wed Aug 22 15:58:55 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/msvc_static_order.lst:

          Added CIAO projects to the list. This may need further tweaking.
          Hopefully this will address problems in the
          WinXP_VC71_CIAOCore_Static_Debug build.

Wed Aug 22 11:32:41 UTC 2007  Steve Huston  <shuston@riverace.com>

        * netsvcs/lib/Client_Logging_Handler.cpp: Fixed wide-char error.

Wed Aug 22 08:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated Remedy IT platforms

Wed Aug 22 08:49:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
        * m4/ace.m4:
          Removed support for disabling rtti

Wed Aug 22 08:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
        * bin/msvc_static_compile.pl:
          Use the word error when detecting an unknown option, this way the
          autobuild scripts will tag this as error on the scoreboard

Wed Aug 22 08:15:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          -Wno-attributes is only available with GCC 4.x. Removed support
          for GCC 2.95

Wed Aug 22 06:23:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          The GCC compiler on windows gives a lot of warnings about attributes
          that are ignored. These are not usefull, so added no_attributes
          which by default is set to 1 which then disable this warning. If you
          want to see these warnings, set no_attributes=0 to your
          platform_macros.GNU file

Wed Aug 22 04:53:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/tests/HTBP/ping/run_test.pl:
        * protocols/tests/HTBP/Reactor_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:
          Fixes for VxWorks cross platform testing

Tue Aug 21 21:07:24 UTC 2007  Steve Huston  <shuston@riverace.com>

        * netsvcs/lib/Client_Logging_Handler.cpp (ACE_Client_Logging_Acceptor):
          Added an optional argument to the client logging daemon setup:
          -llocal-ip[:local-port]  - this allows one to specify the local
          address and port number for the connection to the server logging
          daemon. If the port number is not specified, it defaults to 0 (select
          an unused port) and if -l is not specified, the host's defaults
          are applied (as in all previous versions).

        * NEWS: Describe the above addition.

Tue Aug 21 15:34:00 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.cpp:
          Service_Config::parse_args_i was improperly splitting arguments
          that may contain spaces, such as explicit service directives.
          This patch addresses that explicitly quoting unknown arguments
          being passed on to the Service_Gestalt::parse_args_i. I removed
          unparsed args from the gestalt's list of known args, and cleaned
          up a bad error message.

Tue Aug 21 15:24:47 UTC 2007  James H. Hill  <hillj@isis.vanderbilt.edu>

        * docs/ace_guidelines.vsmacros:
          Whitespaces in .mk and .mpd files are not modified.

Tue Aug 21 07:07:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_irix6.x_common.GNU:
        * include/makeinclude/platform_irix6.x_g++.GNU:
        * include/makeinclude/platform_irix6.x_sgic++.GNU:
          Moved some parts to the common file

        * include/makeinclude/platform_mvs.GNU:
          Use ?=

        * include/makeinclude/platform_sco-nothread.GNU:
        * include/makeinclude/platform_sco5.0.0-CC-fsu-pthread.GNU:
        * include/makeinclude/platform_sco5.0.0-fsu-pthread.GNU:
        * include/makeinclude/platform_sco5.0.0-mit-pthread.GNU:
        * include/makeinclude/platform_sco5.0.0-nothread.GNU:
          Removed, ancient and not maintained for years

Tue Aug 21 05:03:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_unixware_udk.GNU:
          Deleted, mentions it is for gcc 2.7.2, that compiler isn't
          supported anymore for a long time

Mon Aug 20 21:37:13 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
          Add thread ID and some additional debug output to help chase
          test hangs.

Mon Aug 20 20:02:32 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/tests/HTBP/Reactor_Tests/server.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/ping/server.cpp:
          eliminate anachronistic code warnings.

Mon Aug 20 14:16:20 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/C++NPv2/Select_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/Server_Shutdown.cpp:
        * examples/C++NPv2/TP_Reactor_Logging_Server.cpp:
        * examples/Web_Crawler/Command_Processor.h:
        * netsvcs/lib/Log_Message_Receiver.h:
        * netsvcs/lib/Name_Handler.h:
        * netsvcs/lib/TS_Server_Handler.h:

          Zapped ACE_Shutup_GPlusPLus and ace_dewarn_gplusplus, they were
          a reclic from the older days of ACE, it was used to silence
          incorrect warning from g++  compiler. Moved the destructor to
          the protected section to correctly handle such warnings
          (if they still exist) without having to introduce a phony friend.

Mon Aug 20 13:06:38 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/tests/HTBP/Reactor_Tests/run_test.pl:
        * protocols/tests/HTBP/Reactor_Tests/server.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:
        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/ping/run_test.pl:
        * protocols/tests/HTBP/ping/server.cpp:

          Added a synchronizing file to ensure server is running before
          starting the client.

Mon Aug 20 12:42:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DLL_Test.cpp:
        * tests/DLL_Test_Impl.cpp:
          Removed left overs from the time that we could use ACE without rtti

Mon Aug 20 12:33:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ATM_Connector.h:
          Removed commented out method

        * ace/config-cxx-common.h:
        * ace/config-macros.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-win32-interix.h:
        * ace/config-win32-msvc.h:
          Removed left overs from the time that we could use ACE without rtti

Mon Aug 20 12:28:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix_g++.GNU:
        * include/makeinclude/platform_aix_ibm.GNU:
        * include/makeinclude/platform_integrity_ghs.GNU:
        * include/makeinclude/platform_openvms.GNU:
        * include/makeinclude/platform_rtems.x_g++.GNU:
        * include/makeinclude/platform_sunos5_sunc++.GNU:
        * include/makeinclude/platform_tru64_cxx.GNU:
        * include/makeinclude/platform_tru64_g++.GNU:
        * include/makeinclude/platform_vxworks5.5.x.GNU:
        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
        * include/makeinclude/platform_win32_dmc.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Removed rtti as make option, ACE requires rtti so we don't need an
          option to disable rtti.

Mon Aug 20 10:51:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          Updated for new doxygen version on naboo

Mon Aug 20 07:55:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux.GNU:
          Removed, old and obsolete

Sun Aug 19 13:57:44 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ACEXML/common/XML_Macros.h:
        * ASNMP/agent/agent_impl.cpp:
          Untabify.

        * bin/fuzz.pl:
          Remove ACEXML and ASNMP directory from the list of excluded
          directories for the tabs check.

Sun Aug 19 06:20:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Atomic_Op.h:
          Added missing define for Sun

Sat Aug 18 16:37:35 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/ace/HTBP/HTBP_Session.cpp:
          Error reporting enhancement.

        * protocols/tests/HTBP/Reactor_Tests/client.cpp:
        * protocols/tests/HTBP/Reactor_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Large_Msg/client.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/ping/client.cpp:
        * protocols/tests/HTBP/ping/run_test.pl:
        * protocols/tests/HTBP/ping/server.cpp:

          Fix the tests so that a random port is selected each run to
          avoid problems with TCP wait states.

Sat Aug 18 01:16:11 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * Kokyu/DSRT_Direct_Dispatcher_Impl_T.cpp:
        * Kokyu/Dispatch_Deferrer.h:
        * Kokyu/Dispatch_Deferrer.cpp:
        * Kokyu/Kokyu_dsrt.h:
        * examples/Threads/cancel.cpp:
        * examples/Timer_Queue/Async_Timer_Queue_Test.cpp:
        * examples/Timer_Queue/Reactor_Timer_Queue_Test.cpp:
        * examples/Timer_Queue/main_thread.cpp:
          Untabify.

        * bin/fuzz.pl:
          Remove Kokyu directory from the list of excluded
          directories for the tabs check.

Fri Aug 17 22:56:54 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Manual_Event_Test.cpp: Added additional diagnostics; fixed
          spacing; removed ACE_ASSERT.

Fri Aug 17 21:52:37 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/config-linux-common.h: Only include config-posix.h when
          ACE_HAS_LINUX_NPTL is defined; effectively reverts:
          Mon Aug 13 04:40:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>
          to fix broken RHEL 3 test results. RHEL 3's NPTL is not quite up to
          snuff, apparantly (NPTL version 0.60) but even simply removing
          ACE_HAS_LINUX_NPTL didn't do the trick. This effectively puts things
          back the way they were for RHEL 3 and lets others stay with the
          newer scheme of including config-posix.h.

        * include/makeinclude/platform_linux_common.GNU: Refined the NPTL
          check to only set ACE_HAS_LINUX_NPTL when the NPTL version is not
          0.x. This works with the above to allow RHEL 4 et al to go on with
          the new scheme and leave RHEL 3 at the old settings.

Fri Aug 17 18:28:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/platform.m4:
          Set ACE_UINT64_FORMAT_SPECIFIER for linux

Fri Aug 17 14:41:15 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * contrib/minizip/zip.c:
          Untabify.

        * bin/fuzz.pl:
          Remove contrib directory from the list of excluded
          directories for the tabs check.

Fri Aug 17 13:36:11 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/ace/HTBP/HTBP_Channel.cpp:
        * protocols/ace/HTBP/HTBP_Session.cpp:

          debug output cleanup and ACE_ASSERT removal.

        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:

          removed unused code.

        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:

          This test wasn't working right due to the lack of a reactor. The
          debug output was also cleaned up a bit, ACE_ASSERT removed and
          the run_test script tidied up as well.

        * bin/ace_tests.lst:
        * bin/tao_other_tests.lst:
          Added HTBP and HTIOP tests to suites.

Fri Aug 17 13:13:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Queue_T.h:
          Doxygen updates

Fri Aug 17 11:44:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Atomic_Op_Sparc.c:
        * ace/Atomic_Op.{h,cpp}:
          Added optimized functions for SunCC on x86. Thanks to
          Dennis Chernoivanov <cdi at tbricks dot com> for reporting this.
          If you want to enable these, add atomic_ops_sparc=1 to your
          platform_macros.GNU file. This resolves bugzilla 2840

Fri Aug 17 10:43:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_common.GNU:
          New common file for linux which contains settings which are the same
          for all compilers on linux

        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_linux_icc.GNU:
        * include/makeinclude/platform_linux_pgi.GNU:
        * include/makeinclude/platform_linux_suncc.GNU:
          Moved comment contents to platform_linux_common.GNU

        * include/makeinclude/platform_linux_cxx.GNU:
          Removed, not maintained for a long time

Thu Aug 16 23:47:47 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:
          Remove TAO/TAO_IDL directory from the list of excluded
          directories for the tabs check.

Thu Aug 16 21:53:36 UTC 2007  Steve Huston  <shuston@riverace.com>

        * configure.ac: When checking for pthread_attr_setstack(), don't use
          the ACE_CHECK_LACKS_FUNCS macro - the underlying autoconf macros
          generate code that will compile/link on HP-UX 11iv2 because there's
          an entrypoint for it in libpthread, but it's not supported. So
          check with a hand-crafted short code segment. Thanks to Johnny
          Willemsen for this idea.

Thu Aug 16 20:02:53 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * netsvcs/clients/Logger/direct_logging.cpp:
        * netsvcs/clients/Logger/indirect_logging.cpp:
        * netsvcs/clients/Tokens/collection/collection.cpp:
        * netsvcs/clients/Tokens/collection/rw_locks.cpp:
        * netsvcs/clients/Tokens/deadlock/deadlock_detection_test.cpp:
        * netsvcs/clients/Tokens/invariant/invariant.cpp:
        * netsvcs/clients/Tokens/mutex/test_mutex.cpp:
        * netsvcs/clients/Tokens/rw_lock/rw_locks.cpp:
          Untabify

        * bin/fuzz.pl:
          Remove netsvcs directory from the list of excluded
          directories for the tabs check.

Thu Aug 16 19:41:23 UTC 2007  Steve Huston  <shuston@riverace.com>

        * configure.ac: Adjusted the checks for "new throws..." to grab
          much larger chunks; helps it run quicker and more accurately.

Thu Aug 16 15:28:45 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Config.cpp:

          Part of fix for bug 2995. Both the Service Config and Service
          Gestalt have separate open counts, but multiple calls to open_i
          on the Service Config were not propogated to Service Gestalt.
          This led to a problem where closing a multiply opened Service
          Config would result in a premature clean up of resources in the
          Gestalt, triggering a crash later on.

        * ace/Service_Types.cpp:
          Make debugging output more clear.

Thu Aug 16 00:04:21 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * protocols/ace/HTBP/HTBP_Environment.cpp:
        * protocols/ace/TMCast/FaultDetector.hpp:
          Untabify.

        * bin/fuzz.pl:
          Remove protocols directory from the list of excluded
          directories for the tabs check.

Wed Aug 15 21:54:11 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/New_Fail_Test.cpp: Allocate the hugest blocks we can instead
          of many merely big ones. Helps the test run without dragging the
          system to a crawl, at least on my WinXP VC7.1 box w/ 1GB memory.
          YMMV. Not ready to re-enable in tests/run_test.lst until a few
          other people try this out by hand.
          Also, replace ACE_ASSERT with if/else and ACE_ERROR.

Wed Aug 15 15:56:12 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * performance-tests/Misc/test_mutex.cpp:
        * performance-tests/Misc/test_singleton.cpp:
        * performance-tests/SCTP/Options_Manager.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/condb_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/conds_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/memory_test.cpp:
        * performance-tests/Synch-Benchmarks/context.c:
        * performance-tests/Synch-Benchmarks/synch_driver.cpp:
        * performance-tests/TTCP/ACE-C++/wrapper-new-ttcp.cpp:
        * performance-tests/TTCP/C/new-ttcp.cpp:

          Untabify.

        * bin/fuzz.pl:

          Remove performance-tests directory from the list of excluded
          directories for the tabs check.

Wed Aug 15 14:57:06 UTC 2007  Steve Huston  <shuston@riverace.com>

        * m4/platform.m4: Check for NPTL on Linux. Fixes Bugzilla 3044.

        * protocols/tests/HTBP/Send_Recv_Tests/Makefile.am: Corrected
          multi-test syntax.

Wed Aug 15 14:55:36 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tests/ACE_Init_Test.h:
        * tests/ACE_Init_Test_Resource.h:
        * tests/ACE_Init_Test_StdAfx.h:
        * tests/Map_Test.cpp:
        * tests/OS_Test.cpp:
        * tests/QtReactor_Test.cpp:
        * tests/TP_Reactor_Test.h:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:

          Untabify

        * bin/fuzz.pl:

          Remove tests directory from the list of excluded directories for
          the tabs check.

Wed Aug 15 12:15:16 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/tests/HTBP/Reactor_Tests/client.cpp:
        * protocols/tests/HTBP/Reactor_Tests/server.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/client.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/Makefile.am:
        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/ping/client.cpp:
        * protocols/tests/HTBP/ping/server.cpp:
        * protocols/tests/HTBP/htbptest.mpb:

          Fix up tests to build correctly on wchar platforms and automake.

Wed Aug 15 11:47:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Manual_Event_Test.cpp:
          Check the return value of the pulse method

Wed Aug 15 11:23:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added new 3042 test

Wed Aug 15 11:09:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.cpp:
          Const and layout changes

        * ace/config-linux-common.h:
          Removed unneeded space

        * ace/config-posix.h:
          Only test semaphare support in a multi threaded build

Tue Aug 14 23:28:07 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * tests/ACE_Init_Test.h:
        * tests/ACE_Init_TestDlg.h:
        * tests/Based_Pointer_Test.cpp:
        * tests/Basic_Types_Test.cpp:
        * tests/Bug_2815_Regression_Test.cpp:
        * tests/Bug_2820_Regression_Test.cpp:
        * tests/Config_Test.h:
        * tests/Config_Test.cpp:
        * tests/Max_Default_Port_Test.cpp:
        * tests/Mem_Map_Test.cpp:
        * tests/Notification_Queue_Unit_Test.cpp:
        * tests/QtReactor_Test.h:
        * tests/QtReactor_Test.cpp:
        * tests/Reactor_Notify_Test.cpp:
        * tests/SOCK_Dgram_Test.cpp:
        * tests/SV_Shared_Memory_Test.cpp:
        * tests/Signal_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:
        * tests/Vector_Test.cpp:
          Untabify.

Tue Aug 14 22:39:56 UTC 2007  Steve Huston  <shuston@riverace.com>

        * configure.ac: Run the epoll_create() check; don't just link it.
          RHEL 3 can link it but what ACE expects generates a run-time error.

Tue Aug 14 19:11:06 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/ace/HTBP/HTBP_Channel.cpp:
        * protocols/ace/HTBP/HTBP_Environment.cpp:
        * protocols/ace/HTBP/HTBP_ID_Requestor.cpp:
        * protocols/ace/HTBP/HTBP_Inside_Squid_Filter.cpp:
        * protocols/ace/HTBP/HTBP_Notifier.cpp:
        * protocols/ace/HTBP/HTBP_Outside_Squid_Filter.cpp:
        * protocols/ace/HTBP/HTBP_Stream.cpp:

          Clean up the debug output.

        * protocols/tests/HTBP/Reactor_Tests/client.cpp:
        * protocols/tests/HTBP/Reactor_Tests/run_test.pl:
        * protocols/tests/HTBP/Reactor_Tests/server.cpp:

        * protocols/tests/HTBP/Send_Large_Msg/client.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/run_test.pl:
        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:

        * protocols/tests/HTBP/Send_Recv_Tests/SendRecv_Test.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/SendRecv_Test.mpc:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/run_test.pl:

        * protocols/tests/HTBP/ping/client.cpp:
        * protocols/tests/HTBP/ping/run_test.pl:
        * protocols/tests/HTBP/ping/server.cpp:

          Fix up the tests to run cleanly in a nightly build environment
          This is primarily fixing the configuration so that it does not
          depend on an external proxy, but will use one if locally
          configured to do so. Also fixed up the test output and command
          line processing to make it more consistent with other tests.

          I've not turned on the automatic running of these tests just
          yet, I'd rather wait and just make sure the build is clean. We
          can turn on the automatic run at some point later now that the
          tests are cleaned up.

Tue Aug 14 18:44:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_linux_icc.GNU:
        * include/makeinclude/platform_linux_pgi.GNU:
        * include/makeinclude/platform_linux_suncc.GNU:
          Added a check whether we run on a kernel with NPTL. If this is
          the case we add ACE_HAS_LINUX_NPTL to the compiler flags

Tue Aug 14 18:06:16 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/Svc_Conf_y.cpp:
          Removed an extra space that was causing Debian_Core build to
          emit a warning.

Tue Aug 14 17:49:04 UTC 2007  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Log_Record.h: Disallow copying and assignment of
          ACE_Log_Record.  Thanks to Jan Kalin <jan dot kalin at zag dot
          si> for suggesting this.

Tue Aug 14 14:32:57 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/Assert.h:
        * ace/Global_Macros.h:
        * ace/Netlink_Addr.h:
        * ace/Rtems_init.c:
        * ace/Svc_Conf_y.cpp:
        * ace/Task_Ex_T.h:
        * ace/config-win32-common.h:
        * ace/config-win32-interix.h:

          Untabify.

Tue Aug 14 13:48:56 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:
          Enabled the Check_for_tab test. The check_for_tab test now will
          only check the core of ACE/TAO for tabs. This will prevent the
          introduction of new tabs to the core of ACE/TAO. When we remove
          tabs from other directories we will enable checks for those
          directories.

Tue Aug 14 08:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Use ACE_TSS_CLEANUP_NAME instead of ACE_TSS_cleanup to resolve
          compile problems with versioned namespaces enabled

Mon Aug 13 20:27:43 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/Assert.cpp:
        * ace/Connector.cpp:
        * ace/Dev_Poll_Reactor.cpp:
        * ace/INET_Addr.cpp:
        * ace/Notification_Queue.h:
        * ace/Notification_Queue.cpp:
        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_dirent.inl:
        * ace/POSIX_Proactor.cpp:
        * ace/Process_Manager.h:
        * ace/Process_Manager.cpp:
        * ace/QoS/QoS_Session_Impl.cpp:
        * ace/Rtems_init.c:
        * ace/SOCK_Dgram.cpp:
        * ace/SOCK_IO.cpp:
        * ace/SPIPE_Acceptor.cpp:
        * ace/Select_Reactor_Base.cpp:
        * ace/Service_Config.h:
        * ace/config-vxworks5.x.h:
        * ace/config-vxworks6.2.h:
        * ace/config-vxworks6.3.h:
        * ace/os_include/sys/os_socket.h:
          Untabify.

Mon Aug 13 14:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:
          Changed the new signed long/signed int specialization for BCB6
          in such a way that it doesn't cause a compiler crash.

Mon Aug 13 11:42:46 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Added the new notification service monitor functional test.

Mon Aug 13 10:55:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.cpp:
          Const change

        * ace/OS_QoS.h:
          Instead of making all ACE_ defines dependent on winsock2, just for each
          one check if the non ACE define exists or not. If it exists, use it, if
          not, use a special ACE value. This makes it easier to support QoS with
          MinGW.

Mon Aug 13 07:03:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg_IPC.cpp:
          Fixed wrong calculation of payload size when unicode is enabled.
          Thanks to David Beck <davidbeck at acm dot org> for reporting this.
          This fixes bugzilla 3038

Mon Aug 13 04:40:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
          Always include config-posix.h, not only when ACE_HAS_LINUX_NPTL is
          defined. Thanks to Thomas Girard <thomas dot g dot girard at free dot fr>
          for noticing this

Fri Aug 10 15:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted this change, could lead to problems

        * bin/MakeProjectCreator/config/gnuace.features:
          Enabled qos, the GNU makefiles will block the building of QoS

Fri Aug 10 11:59:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/gnuace.features:
          Enabled qos, the GNU makefiles will block the building of QoS

        * include/makeinclude/platform_mingw32.GNU:
          With MinGW we can build QoS support

        * ace/QoS/qos.mpc:
          Added ACE_HAS_QOS to the macros, this is already done for projects
          that use qos but not for the qos library itself

        * ace/config-win32-mingw.h:
          Added ACE_HAS_WINSOCK2_GQOS

Fri Aug 10 11:39:48 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * ACE.mwc:

          Associate more directories and use the new '--' key.

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Fixed issues with generated Kokyu projects.

Fri Aug 10 09:33:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          When building shared libraries default inline to 0

Fri Aug 10 08:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_main.h:
          Made the destructor of ACE_Main_Base virtual to resolve MinGW
          warnings

        * include/makeinclude/platform_linux_icc.GNU:
          Updated this file with changes that have been done in the gcc
          file the last years

Fri Aug 10 07:39:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Atomic_Op_Test.cpp:
          Test operator=

Fri Aug 10 07:14:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Atomic_Op_Test.cpp:
          Test the Atomic_Op also in single threaded builds and extended
          the test with unsigned long and unsigned int tests

Thu Aug  9 13:39:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Initialise local variable to resolve GCC warning

        * ace/config-linux-common.h:
          Added ACE_HAS_BROKEN_THREAD_KEYFREE so that on Linux the Log_Msg
          does cleanup its TSS data which resolves problems when loading
          and unloading the ACE shared library from an application that
          doesn't use ACE at all

Wed Aug  8 22:30:53 UTC 2007  Steve Huston  <shuston@riverace.com>

        * configure.ac: Moved check for ACE_LACKS_PTHREAD_ATTR_SETSTACK to
          near the other stack-related pthreads checks.

        * m4/compiler.m4: Add +We to WERROR setting to force compile
          warnings to be errors when desired.

Wed Aug  8 11:35:01 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * bin/Makefile.am:
        * examples/QOS/Change_Receiver_FlowSpec/Makefile.am:
        * examples/QOS/Change_Sender_TSpec/Makefile.am:
        * examples/QOS/Diffserv/Makefile.am:
        * examples/QOS/Simple/Makefile.am:

          The *_LDADD sections for these had wrong paths for the libraries.

Wed Aug  8 09:05:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Truncate.h:
          Added <signed long, signed int> specialization for BCB

Tue Aug  7 19:04:25 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * apps/drwho/drwho.mpc:

          Added the missing exename settings for the client and server.  The
          main() was changed to ACE_TMAIN().

Tue Aug  7 12:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/compiler.bor:
          Use ACE_TEXT instead of ACE_LIB_TEXT

Tue Aug  7 12:15:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * html/stats/simple_footprint.html:
          Removed Domain added Messaging

Mon Aug  6 18:03:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/compiler.m4:
          With ICC use -w1 to get rid of the remarks

Mon Aug  6 11:28:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Refcounted_Auto_Ptr.inl (count):
          Fixed compile error

Mon Aug  6 08:56:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Refcounted_Auto_Ptr.{h,inl}:
          Changed to use Atomic_Op for the refcount and use a long instead
          of int. That way we can benefit from the Atomic_Op optimizations

        * ace/Bound_Ptr.{h,inl}:
          Changed refcount to long as preparation of using Atomic_Op

Mon Aug  6 08:31:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/compiler.m4:
          Added -wr as flag to WERROR, with this flag remarks are not
          promoted to error which caused several problems

Mon Aug  6 08:24:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
        * ace/OS_NS_sys_resource.inl:
          Changed ACE_LACKS_WIN32_GETPROCESSTIMES to ACE_LACKS_GETPROCESSTIMES
          to make a future autoconf check easier. Removed ACE_HAS_SYSCALL_GETRUSAGE
          which wasn't set in any config file

Mon Aug  6 07:58:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Added a check whether we have a 1 or 2 param mkdir method. This
          fixes bugzilla 2006. The other defines mentioned in this
          issue are not added because they are for VxWorks 5.5 only which
          we don't actively maintain anymore

Mon Aug  6 06:55:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/compiler.m4:
          Added -i-dynamic to default icpc flags

Mon Aug  6 06:00:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_openvms.GNU:
          For Alpha use a different way to silence the warnings

Sun Aug  5 19:27:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SStringfwd.h:
          Check if __HP_aCC is defined before checking its value, fixes
          a remark in the Intel C++ autoconf build

Sat Aug  4 22:07:05 UTC 2007  Steve Huston  <shuston@riverace.com>

        * configure.ac: Removed the pthread_cond_timedwait() check - it was
          used to set ACE_HAS_POSIX_SEM_TIMEOUT and ACE_HAS_POSIX_SEM_TIMEOUT_
          EMULATION, neither of which it is related to. Added a correct check
          for sem_timedwait (ACE_HAS_POSIX_SEM_TIMEOUT).
          Also, used shortcut functions instead of hand-coding tests for
          pthread_attr_setstackaddr and pthread_attr_setstacksize.

        * m4/ace.m4: Add --enable-posix-sem-timeout-emulation, corresponding
          to ACE_DISABLE_POSIX_SEM_TIMEOUT_EMULATION.

        * m4/config_h.m4: Corrected description of ACE_HAS_POSIX_SEM_TIMEOUT
          and added ACE_DISABLE_POSIX_SEM_TIMEOUT_EMULATION. Also, because
          of use of shortcuts (above) can remove templates for
          ACE_LACKS_PTHREAD_ATTR_SETSTACKSIZE and
          ACE_LACKS_PTHREAD_ATTR_SETSTACKADDR.

        * m4/compiler.m4: For IBM Visual Age C++ and XL C++, use manual
          template instances (-qnotempinc -qnotemplateregistry) because I
          haven't found a way to name the template registry from the
          Makefiles and without that, building multiple items in one directory
          clashes. Some people have reported the need to use manual template
          mechanism for building TAO successfully, so maybe this will be ok.

Fri Aug  3 21:34:40 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * contrib/FaCE/CE_Screen_Output.cpp:
        * contrib/minizip/crypt.h:
        * contrib/minizip/unzip.c:

          Untabify.

Fri Aug  3 20:26:36 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/INET_Addr.cpp:
        * THANKS:
          Fix for running an IPv6 supporting build of ACE on a host
          that does not have IPV6 enabled. Thanks to Premkumar P <kumaran
          dot prem at gmail dot com> for pointing out this issue.

Fri Aug  3 18:31:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
          Fixed a problem introduced with the revert below

Fri Aug  3 09:35:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
          Reverted the change to use a sleep of 50ms, the test stats show that
          some tests timeout without a real reason. Maybe the timeouts are now
          less reliable.

Fri Aug  3 01:50:05 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/Global_Macros.h:
        * examples/Reactor/TP_Reactor/client.cpp:

          Fixed fuzz check_for_exception_spec warnings.

Thu Aug  2 22:20:28 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Enabled check_for_exception_spec.

Thu Aug  2 22:02:32 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Dirent_Test.cpp: Fixed to allow running the test against
          directories other than "../tests". Picks hardcoded TEST_DIR if
          compiled in (as previously) but will otherwise try $top_srcdir/tests,
          $ACE_ROOT/tests, or ../tests depending on env variables present.
          Allows the test to run in autoconf builds (fixes Bugzilla 1794).
          Also removed all the ACE_ASSERTs, replacing them with informative
          diagnostics.

Thu Aug  2 21:31:32 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * examples/ConfigViewer/MainFrame.cpp:

          ZAP the last NULL usage in the distrubtion.

Thu Aug  2 20:43:18 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * apps/JAWS/clients/WebSTONE/src/bench.c:

          Zap NULL usage.

Thu Aug  2 20:24:22 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:

          No-thread builds, instances of ACE_TSS use their destructor
          instead of the static cleanup() method for deleting the object
          they point to. Adding a destructor specialization to enable
          non-ownership ACE_TSS behavior with no-thread builds for
          ACE_Service_Gestalt's.

Thu Aug  2 19:34:17 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * bin/fuzz.pl:

          Enhanced NULL check.

Thu Aug  2 14:19:46 UTC 2007  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/tao_other_tests.lst:
          Added a new test TAO/orbsvcs/tests/Simple_Naming/run_test_ipv6.pl

Thu Aug  2 11:43:35 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:
          Removing extra semicolon

Thu Aug  2 09:46:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Fixed gcc4 warnings

Thu Aug  2 09:22:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Use regular reinterpret_cast, use 0 instead of NULL and
          in case setspecific fails just do a printf, not an ACE_DEBUG
          because that will use ACE_Log_Msg again.

Wed Aug  1 21:39:04 UTC 2007  Dale Wilson  <wilsond@ociweb.com>

        * bin/tao_orb_tests.lst:
          Enable TAO\tests\Bug_2935_Regression

Wed Aug  1 18:55:12 UTC 2007  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/ConfigList.pm:
          Added '-Exclude <mask>' option to be able to finetune the actual
          tests being run without having to add yet another Config option
          and update the test .LST files.

        * ace/config-openvms.h:
        * include/makeinclude/platform_openvms.GNU:
          merged changes for OpenVMS IA64 builds.

Wed Aug  1 18:01:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Readded throw check, thanks for Abdul to notice the wrong
          deletion

Wed Aug  1 15:55:38 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:

          Added conditional compilation around template specification
          since ACE_TSS declares cleanup() only in multi-threaded builds.

Wed Aug  1 12:14:17 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_dirent.h:
          Oops... Once again.

Wed Aug  1 11:58:02 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_dirent.h:
          Fixed macro logic error once again.

Wed Aug  1 09:50:51 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_dirent.h:
          Fixed macro logic error.

Wed Aug  1 08:08:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.h:
          Removed not needed semi colon

Wed Aug  1 08:01:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.h (cleanup):
          Changed argument to ptr, fixes some problems with BCB

Wed Aug  1 07:39:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_wchar.h:
          Deprecated ACE_LIB_TEXT. Users can still use it, but not anymore
          in the code that is in the distribution

Wed Aug  1 07:30:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/drwho/Multicast_Manager.cpp:
        * apps/drwho/Options.cpp:
          Removed not needed fuzz disable statements

Wed Aug  1 07:29:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/lib/Time_Request_Reply.cpp:
        * protocols/tests/HTBP/Reactor_Tests/test_config.h
          Replaced ACE_LIB_TEXT with ACE_TEXT

Wed Aug  1 07:27:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.h:
          Fixed argument not used warning

        * apps/JAWS/clients/Blobby/Blob_Handler.cpp:
          Removed ACE_LIB_TEXT in comment

        * bin/fuzz.pl:
          Removed exception fuzz check. We have deprecated ACE_THROW

        * contrib/FaCE/FaCE.cpp:
        * contrib/FaCE/FaCE.h:
        * examples/ASX/Event_Server/Event_Server/Options.cpp:
        * examples/ASX/UPIPE_Event_Server/Options.cpp:
        * tests/Bug_2609_Regression_Test.cpp:
        * tests/Bug_2610_Regression_Test.cpp:
        * tests/Config_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/Svc_Handler_Test.cpp:
          Replaced ACE_LIB_TEXT with ACE_TEXT

        * tests/Bug_2975_Regression_Test.cpp:
          Make sure we return the correct value out of main

Wed Aug  1 06:51:11 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_dirent.h:
        * ace/OS_NS_dirent.inl:
          Cleanup ACE_OS::rewinddir() code.

Tue Jul 31 21:39:37 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Auto_Functor.cpp:

          Removed errant ChangeLog-like lines at the top of the file.

Tue Jul 31 21:27:25 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:
        * ace/Service_Config.cpp:

          Moved the template specialization to the header file and made it
          "inline". This resolved linking problems with some compilers,
          which complained about either unresolved references or
          multiply-defined instances of cleanup(). Bugzilla 2980.

Tue Jul 31 18:48:25 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * ace/Auto_Functor.h:
        * ace/Auto_Functor.inl:
        * ace/Auto_Functor.cpp:

          Zapped ACE_THROW_SPEC

        * ace/Global_Macros.h:

          Guarded ACE_THROW_SPEC with ACE_LACKS_DEPRECATED_MACROS. The
          ACE_THROW_SPEC macro now has been deprecated.

          The above changes fix bugzilla 3008.

Tue Jul 31 18:37:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_dirent.h:
          Removed ACE_STD_NAMESPACE for rewinddir, it causes compile errors
          and fixed compile errors with Borland C++ Unicode

Tue Jul 31 18:14:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/*.{h,cpp,inl}:
          Replaced all occurences of ACE_LIB_TEXT with ACE_TEXT as noted in
          bugzilla 3021

Tue Jul 31 17:15:47 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_dirent.h:
          Fixed compile error on platforms that define ACE_LACKS_REWINDDIR.

Tue Jul 31 15:02:34 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Multicast_Test_IPV6.cpp: Added some more diagnostic output and
          changed the enable-loopback sockopt from char to int to try and avoid
          some platform issues, particularly on Windows.

Tue Jul 31 14:45:35 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * contrib/utility/Utility/ReferenceCounting/DefaultImpl.hpp:

          Fixed a compile-time error.

Tue Jul 31 13:02:30 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_dirent.h:
        * ace/OS_NS_dirent.inl:
          Fixed compile error on platforms that define rewinddir
          as a macro.

Tue Jul 31 12:52:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/config_h.m4:
          Fixed another few macros

Tue Jul 31 12:24:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.h:
          Add attribute name to cleanup prototype, Borland C++ needs it,
          don't ask why

Tue Jul 31 12:07:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/compiler.m4:
          Don't add -O3 with Intel C++

Tue Jul 31 12:02:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.5.h:
          Added ACE_LACKS_PTHREAD_ATTR_SETSTACK

        * ace/config-sunos5.10.h:
          Undef ACE_LACKS_PTHREAD_ATTR_SETSTACK

Tue Jul 31 10:38:37 UTC 2007  William Otte  <wotte@dhcp-host-unknown.prismtech.com>

        * include/makeinclude/platform_macosx_tiger.GNU

          Added support for building universal binaries by specifying
          universal=1 in platform_macros or command line.

Tue Jul 31 09:39:43 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * contrib/utility/Example/ExH/BadCast/bad_cast.cpp:
        * contrib/utility/Example/ExH/Compound/compound.cpp:
        * contrib/utility/Example/ExH/HelloWorld/hello_world.cpp:
        * contrib/utility/Example/ExH/LogicToSystem/logic_to_system.cpp:
        * contrib/utility/Test/ExH/Compound/compound.cpp:
        * contrib/utility/Test/ExH/Converter/converter.cpp:
        * contrib/utility/Test/ExH/Logic/DescriptiveException/descriptive_exception.cpp:
        * contrib/utility/Test/ExH/System/DescriptiveException/descriptive_exception.cpp:
        * contrib/utility/Test/ReferenceCounting/DefaultImpl/default_impl.cpp:
        * contrib/utility/Test/ReferenceCounting/Interface/interface.cpp:
        * contrib/utility/Test/ReferenceCounting/SmartPtr/smart_ptr.cpp:
        * contrib/utility/Test/ReferenceCounting/StrictPtr/strict_ptr.cpp:
        * contrib/utility/Utility/ReferenceCounting/DefaultImpl.hpp:
        * contrib/utility/Utility/ReferenceCounting/DefaultImpl.ipp:
        * contrib/utility/Utility/ReferenceCounting/Interface.hpp:
        * contrib/utility/Utility/ReferenceCounting/Interface.tpp:
        * contrib/utility/Utility/ReferenceCounting/SmartPtr.hpp:
        * contrib/utility/Utility/ReferenceCounting/SmartPtr.tpp:
        * contrib/utility/Utility/ReferenceCounting/StrictPtr.hpp:
        * contrib/utility/Utility/ReferenceCounting/StrictPtr.tpp:
        * contrib/utility/Vault/hetero/map.hpp:

          Zap the usage of exception specification.

Tue Jul 31 07:52:25 UTC 2007  Olli Savia  <ops@iki.fi>

        * ace/os_include/os_dirent.h:
          Removed #undef rewinddir. It may have broken compilation
          on some platforms so ACE_OS::rewinddir() may need tweaking.

Tue Jul 31 06:45:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-11.00.h:
          HPUX doesn't have pthread_attr_setstack

Tue Jul 31 05:14:35 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.h:
        * ace/Service_Config.cpp:

          Adding a forward decl for the partial specialization to silence
          the Borland compiler, complaining about an already defined
          template specialization.

Tue Jul 31 05:19:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/config_h.m4:
          Updated this file

Tue Jul 31 04:13:34 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore.h:
        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore.cpp:

          Reverted changes made in:
          Mon Jul 30 12:40:57 UTC 2007  Abdullah Sowayan  <abdul...>

        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore.cpp:

          Use ACE_TCHAR instead of char to address problems in
          Redhat_Enterprise_Linux_3_Debug_Wchar build.

Tue Jul 31 00:50:49 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * ace/Service_Config.cpp:

          By introducing a partial specialization of
          ACE_TSS<ACE_Service_Config> we ensure that _if_ ACE_TSS::cleanup()
          is called before ~ACE_Object_Manager(), the TSS pointer will not
          clobber the ACE_Service_Config it points to. Resolves bugzilla
          2980. Thanks to Patrick Bennett <Patrick dot Bennett at inin dot
          com> and Lothar Werzinger <lothar at tradescape dot biz> for
          their input.

Mon Jul 30 23:51:07 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/TP_Reactor.h: Documentation improvements, including clarification
          of the synchronization needs for I/O and non-I/O callbacks. Thanks
          to Hal Black <hal dot black at gmail dot com> for motivating this.

        * THANKS: Added Hal Black.

Mon Jul 30 22:50:40 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/SOCK_Connector_Test.cpp: After rummaging through the hosts
          list looking for other names, do sethostent(0) before endhostent().
          Resolves the funky interaction with this and getaddrinfo() on AIX
          with IPv6 support which would, on the second lookup of the local
          host's name, return an AF_INET6 struct with an IPv4 address.
          Thanks to Phil Mesnier for co-laboring to work this little mess out.

Mon Jul 30 18:17:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cray.h:
        * ace/config-cygwin32.h:
        * ace/config-linux.h:
        * ace/config-lynxos.h:
        * ace/config-mvs.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
        * ace/config-tru64.h:
        * ace/OS_NS_Thread.cpp:
        * configure.ac:
          Updated ACE_LACKS_THREAD_STACK_ADDR to
          ACE_LACKS_PTHREAD_SETSTACKADDR to match naming conventions

Mon Jul 30 18:03:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin.h:
          Added ACE_LACKS_PTHREAD_ATTR_SETSTACK

Mon Jul 30 15:08:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lynxos.h:
          Added ACE_LACKS_PTHREAD_ATTR_SETSTACK for LynxOS 4.0

Mon Jul 30 14:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          All POA examples are now under tests

Mon Jul 30 14:45:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tests/Timer_Queue_Reference_Counting_Test.cpp:
        * tests/Timer_Queue_Test.cpp:

          Minor memory leak fixes.

Mon Jul 30 13:37:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Make the signal handler a static to fix detection with Intel C++

Mon Jul 30 13:27:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Fixed problem detecting ACE_HAS_MUTEX_TIMEOUTS. Thanks to
          Peter Korf <peter at niendo dot de> for reporting this.

Mon Jul 30 13:24:32 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Hash_Map_Manager_T.h:

          Made a minor grammatic correction in the Doxygen.

        * bin/PerlACE/Run_Test.pm:

          Fixed Perl warnings.

        * bin/tao_other_tests.lst:

          Added the new Notify Service monitoring unit tests.

Mon Jul 30 12:55:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/compiler.m4:
          Disable warning 1419 with Intel C++

Mon Jul 30 12:40:57 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore.h:

          Use ACE_TCHAR instead of char to address problems in
          Redhat_Enterprise_Linux_3_Debug_Wchar build.

Mon Jul 30 12:03:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/package_copy_script.sh:
          Add this script to the repo, used in the release process to copy
          the archives with a release number

Mon Jul 30 11:58:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Mem_Map.{h,cpp}:
        * ace/OS_NS_fcntl.{h,cpp}:
        * ace/OS_NS_sys_mman.{h,inl}:
          Updated mode argument to use mode_t as described by the posix spec.
          This fixes bugzilla 2943.

Mon Jul 30 11:24:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Parse_Node.h:
          Removed commented out code and improved documentation

Mon Jul 30 11:19:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/compiler.m4:
          Improved support for Intel C++ on Linux

Mon Jul 30 10:21:56 UTC 2007  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * include/makeinclude/platform_sunos5_g++.GNU:
          Added -z now linker option to gcc builds. This fixes
          TAO/orbsvcs/tests/Bug_2285_Regression/run_test.pl,
          TAO/orbsvcs/tests/Bug_2285_Regression/run_test2.pl, and
          TAO/orbsvcs/tests/Bug_2287_Regression/run_test.pl in
          corresponding build.

Mon Jul 30 09:51:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Added check for InterLocked methods

Mon Jul 30 09:11:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_ghs.GNU:
        * include/makeinclude/platform_vxworks5.x_ghs.GNU:
          Removed, these are not tested anymore and outdated.

Mon Jul 30 07:55:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          Removed support for dot_path, not supported by the doxygen
          script anymore

        * bin/PerlACE/Run_Test.pm:
          When waiting for files we sleep each time a second, changed this
          to 50ms so that we don't loose time for each test, given the
          fact that we have about 600 tests it could safe a few minutes
          for a few test run. Thanks to Chad Elliot for providing these
          changes

Mon Jul 30 07:39:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Added bswap_16, bswap_32, and b_swap64

Mon Jul 30 07:28:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
        * m4/config_h.m4:
          Added check for pthread_cond_timedwait. Thanks to Peter Korf
          <peter at niendo dot de> for delivering the patch. This also
          fixes bugzilla 2836 which was reported by Norbert Thoden
          <thoden at rheinmetall-de dot com>

Mon Jul 30 07:15:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_pthread.h:
        * ace/OS_NS_Thread.cpp:
        * configure.ac:
          Changed the check for pthread_attr_setstack and added it to the autoconf
          support. This fixes bugzilla 2476. Thanks to Jonathan Sprinkle
          <sprinkle at eecs dot berkeley dot edu> for reporting this

Sun Jul 29 20:56:40 UTC 2007  Abdullah Sowayan  <abdullah.sowayan@lmco.com>

        * netsvcs/clients/Naming/Client/Client_Test.cpp:
        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore.cpp:
        * netsvcs/clients/Naming/Dump_Restore/createfile.cpp:
        * netsvcs/clients/Tokens/manual/manual.cpp:

          Fixed ACE_OS fuzz warnings. Use ACE_OS calls instead of raw OS functions
          where possible. If fuzz detected a false-positive, then disable
          the ACE_OS fuzz check for that section of the code.

        * netsvcs/clients/Tokens/manual/manual.cpp:

          Untabify.

Sat Jul 28 23:00:44 UTC 2007  Steve Huston  <shuston@riverace.com>

        * ace/Local_Name_Space.cpp:
          Resolve 64-32-bit transition warnings.

        * ace/config-sunos5.5.h: Define ACE_MALLOC_ALIGN using a sizeof cast.
          Makes it fit with the other ACE_MALLOC_* calculations in Malloc.h
          without triggering 32/64-bit warnings.

Sat Jul 28 22:50:12 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/SOCK_Connector_Test.cpp: Added some additional diagnostics
          re the address info that's being tried to easier note IPv4 vs.
          IPv6 addresses. Also removed an ACE_ASSERT.

Sat Jul 28 21:58:27 UTC 2007  Steve Huston  <shuston@riverace.com>

        * tests/Process_Manual_Event_Test.cpp: Added a hack to always delete
          the underlying shared memory objects on AIX, primarily due to the
          inability to neatly clean these objects up after a failed test.
          See Bugzilla #2662 for further background. Also, added a delay
          in the child process to allow the parent to initialize the event
          objects. The race between the processes while the parent is
          initializing the event objects can cause the child to hang.

Sat Jul 28 18:56:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/bczar/bczar.html:
          Small improvements

Sat Jul 28 18:19:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Added checks for byteswap.h, intrin.h, ia32intrin.h, and
          ia64intrin.h, part of bugzilla 2905.

Fri Jul 27 06:50:14 CDT 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.5.10 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
